function drawInductor

           FS = 16;
                setFigure('Inductor');
    [x,y,z,c] = springGeom( 10, 1, 30 );
                surf(x,y,z,c,'edgecolor','none');
                hold on;
                for i = 1.5:.5:2.5
                    maglines(10, i,30)
                end
                zl = get(gca,'zlim');
                plot3([0 0],[0 0],[-1 1]*24,'k')
                for phi = 0:pi/2:3*pi/2
                    for i = 0
                        addEllipse(12+3*i, 20+10*i, 5-i, phi)
                    end
                end;
                set(gca,'zlim',zl);
    [x,y,z,c] = rodGeom( 1, 15, 20,-10 );
                surf(x,y,z,c,'edgecolor','none');
    [x,y,z,c] = rodGeom( 1, -15, 20,10 );
                surf(x,y,z,c,'edgecolor','none');
                colormap('gray')
                axis off
                view(114.5,12)
                annotation('arrow',[0.2054 0.3321],[0.7538 0.7381])
                annotation('arrow',[0.3714 0.3089],[0.3333 0.3429])
                text(0,0,20,'\itN','fontsize',FS)
                text(0,-20,15,'\itI','fontsize',FS)
                text(0,-18,-15,'\itI','fontsize',FS)
                text(0,0,-20,'\itS','fontsize',FS)
                
return

function [x,y,z,c] = springGeom( R, r, h)
    
    [q,f] = meshgrid( linspace(0,11*pi,220),linspace(0,2*pi,20));
        x = R*cos(q)+r*cos(q).*cos(f);
        y = R*sin(q)+r*sin(q).*cos(f);
        z = r*sin(f)-[q/max(max(q))-1/2]*h;
        c = cos(f).*cos(q)*.2 + .4;

return

function maglines(R, r, h)

    [q,f] = meshgrid( linspace(0,11*pi,23),linspace(0,2*pi,20));
        x = R*cos(q)+r*cos(q).*cos(f);
        y = R*sin(q)+r*sin(q).*cos(f);
        z = r*sin(f)-[q/max(max(q))-1/2]*h;
        plot3(x,y,z,'k')
        
return

function [x,y,z,c] = rodGeom( r, h, L, R)

    [y,f] = meshgrid([-L,0],linspace(0,2*pi,20));
        z = r*cos(f)+h;
        x = r*sin(f)-R;  
        c = sin(f)*.2+ .4;

return

function addEllipse(a, b, off, phi)

    q = linspace(pi/2,3*pi/2,40);
    y = a*cos(q)+a + off;
    z = b*sin(q);
    x = zeros(size(y));
    xr = x*cos(phi)+y*sin(phi);
    yr =-x*sin(phi)+y*cos(phi);
    
    plot3(xr,yr,z,'k');
    
    
    

return
