function indWithFieds
setFigure('Inductor Width Fields')
dq = pi/20;
N = 4;
L =2;
q  = 0:dq:(2*N+1)*pi;
x  = L/2*cos(q);
y  = L/2*sin(q);
z  = -L/2 + L*q/max(q);
% N = 5;
% x = zeros(10,1);
% y = zeros(10,1);
% z = linspace(-1,1,10);
plot3(x,y,z); hold on;

[xg,yg,zg] = meshgrid(-L:L/4:L,-L:L/4:L,-L:L/4:L);
% [xg,yg,zg] = meshgrid(0,0,-2*L:L/4:2*L);

Bx = zeros(size(xg));
By = Bx; Bz = Bx;
%
% Bio-Savart law Bx ~ (dy*rz-dz*ry)/r^2
for i = 1:size(xg,1),
    for j = 1:size(xg,2), 
        for k = 1:size(xg,3),
            for m = 1:length(x)-1, 
                rx = xg(i,j,k)-mean(x(m:m+1));
                ry = yg(i,j,k)-mean(y(m:m+1));
                rz = zg(i,j,k)-mean(y(m:m+1));
                r2 = rx^2+ry^2+rz^2;
                dx = x(m+1)-x(m);dy = y(m+1)-y(m); dz = z(m+1)-z(m);
                Bx(i,j,k) = Bx(i,j,k) + (dy*rz-dz*ry)/r2; 
                By(i,j,k) = By(i,j,k) + (dz*rx-dx*rz)/r2;
                Bz(i,j,k) = Bz(i,j,k) + (dx*ry-dy*rx)/r2;
%                 fprintf('dz = %f; ry = %f; rx =%f; Bx = %f\n',dz, ry, rx, Bx(i,j,k))
            end
        end
    end
end

quiver3(xg,yg,zg,Bx,By,Bz)

return