function SDOF_freq

    m = 1;
    k = 1;
    zeta = [.05, .1, .5 1, 1.5];
    wo = sqrt(k/m);
    Q = 1/2./zeta;
    w = [0:.02:3];
    col = [0 0 1;
           1 0 0;
           0 .5 0;
           .5 .3 0;
           0 0 0];
    figure
    for i = 1:length(Q)
        M = 1/k./sqrt((1-(w./wo).^2).^2+(1/Q(i)*(w/wo)).^2);
        subplot(2,1,1);
        plot(w,M, 'color',col(i,:));hold on;
        phi = atan2(-Q(i)*(w/wo),1-(w./wo).^2)*180/pi;
        subplot(2,1,2);
        plot(w,phi, 'color',col(i,:));hold on;
        leg{i} = ['\itQ\rm = ' sprintf('%2.2f',Q(i)),...
                  ', \it\zeta\rm = ' sprintf('%2.2f',zeta(i))];
    end;
    subplot(2,1,1);
    set(gca,'fontsize',12);grid on;
    ylabel({'Normalized displacements';'\itx/(F/k)'});
%     ylabel({'Normalized accelerations'});
    legend(leg);
    subplot(2,1,2);
    set(gca,'fontsize',12,'ytick',[-180 -90 0]); grid on
    ylabel('Angle [^o]');
    xlabel('Normalized frequency \it\omega/\omega_o')

return