function SDOF_freqABW

    m = 1;
    k = 1;
    zeta = [.05,.1, .5, 1, 1.5];
    wo = sqrt(k/m);
    Q = 1/2./zeta;
    w = [0:.02:3];
    col = [0 0 1;
           1 0 0;
           0 .5 0;
           .5 .3 0;
           0 0 0];
           s={'-k','-.k','--k','-k','-.k'};
    lw=[ 1 2 1 2 1];

    figure
    
    for i = 1:length(Q)
        M = w.^2/k./sqrt((1-(w./wo).^2).^2+(1/Q(i)*(w/wo)).^2);
        subplot(2,1,1);
        plot(w,M, s{i},'linewidth',lw(i));hold on;
        phi = atan2(-Q(i)*(w/wo),1-(w./wo).^2)*180/pi+180;
        subplot(2,1,2);
        plot(w,phi,  s{i},'linewidth',lw(i));hold on;
        leg{i} = ['\itQ\rm = ' sprintf('%2.2f',Q(i)),...
                  ', \it\zeta\rm = ' sprintf('%2.2f',zeta(i))];
    end;
    subplot(2,1,1);
    set(gca,'fontsize',12);
    ylabel({'Normalized displacements';'\itx/k'});
    ylabel({'Normalized accelerations'});grid on
    legend(leg);
    subplot(2,1,2);
    set(gca,'fontsize',12,'ytick',[0 90 180]); grid on
    ylabel('Angle [^o]');
    xlabel('Normalized frequency \it\omega/\omega_o')

return