function SDOF_freqBW

    m = 1;
    k = 1;
    zeta = [.05,.1, .5, 1, 1.5];
    wo = sqrt(k/m);
    Q = 1/2./zeta;
    w = [0:.02:3];
    col = [0 0 1;
           1 0 0;
           0 .5 0;
           .5 .3 0;
           0 0 0];
    s={'-k','-.k','--k','-k','-.k'};
    lw=[ .5 1 1 1.5 1];
    setFigure('SDF freq sweep')
    FS =18; FS =9;
    for i = 1:length(Q)
        M = 1/k./sqrt((1-(w./wo).^2).^2+(1/Q(i)*(w/wo)).^2);
        subplot(2,1,1);
        plot(w,M, s{i},'linewidth',lw(i));hold on;
        phi = atan2(-2*zeta(i)*(w/wo),1-(w./wo).^2)*180/pi;
        subplot(2,1,2);
        plot(w,phi, s{i},'linewidth',lw(i));hold on;
        leg{i} = ['\itQ\rm = ' sprintf('%2.2f',Q(i)),...
                  ', \it\zeta\rm = ' sprintf('%2.2f',zeta(i))];
    end;
    subplot(2,1,1);
    set(gca,'fontsize',FS);grid on;
    ylabel({'Normalized displacements';'\itx\rm/(\itF\rm/\itk\rm)'});
%     ylabel({'Normalized accelerations'});
    legend(leg);
    text(.1,8,'(a)','fontsize',FS)
    subplot(2,1,2);
    set(gca,'fontsize',FS,'ytick',[-180 -90 0]); grid on
    ylabel('Angle \itphi\rm [^o]');
    xlabel('Normalized frequency \it\omega/\omega\rm_o')
    text(.1,-145,'(b)','fontsize',FS)
%     print -dpng FigB3
    colormap('gray')
    set(gcf,'paperposition',[1 1 6 4])
    print -deps FigB3
    print -dtiff -r1200 FigB3

return