function SDOF_freq

    m = 1;
    k = 1;
    zeta = [.05, .1, .5 1, 1.5];
    wo = sqrt(k/m);
    Q = 1/2./zeta;
    w = [0:.02:3];
    col = [0 0 1;
           1 0 0;
           0 .5 0;
           .5 .3 0;
           0 0 0];
    figure
    for i = 1:length(Q)
        s(1) = -zeta(i)*wo+j*wo*sqrt(1-zeta(i)^2);
        s(2) = -zeta(i)*wo-j*wo*sqrt(1-zeta(i)^2);
        plot(real(s),imag(s),'x','color',col(i,:),'linewidth',2,'markersize',12);
        hold on;
        leg{i} = ['\itQ\rm = ' sprintf('%2.2f',Q(i)),...
                  ', \it\zeta\rm = ' sprintf('%2.2f',zeta(i))];
    end;
    set(gca,'fontsize',12);grid on;
    xlabel('Re\{\its\rm\}')
    ylabel('Im\{\its\rm\}')
%     ylabel({'Normalized accelerations'});
    legend(leg);
    hold on;
    q = [0:.02:1]*pi + pi/2;
    plot(cos(q),sin(q),'k','linewidth',2);
    plot([-3 0],[0 0],'k','linewidth',2);
    

return