function beamGeometry

        L = 1;
        w = .2;
        d = .05;
        uL = 1;
        setFigure
        set(gca,'position',[0,0,1,1]);hold on;
        FS = 24; FS = 9;
        beamColor = [1 1 1]*.9;
        patch([0 0 0 0],[-1 1 1 -1]*L/4,[-1 -1 1 1]*L/4,[1 1 1]*.8,'edgecolor','none'); % draw wall
        drawRefBeamPosition(L, w, d, [1 1 1],'-');
        deformedBeam(L,w,d, uL, beamColor)
        
        axis 'off'
%         annotation('arrow',[1 1]*.8, [.4 .32])
%         annotation('arrow',[1 1]*.8, [.54 .44])
        text(L,0,-.12,'\itx\rm','fontsize',FS)
        text(L,0,.12,' \itf_e\rm','fontsize',FS)
        arrow([0,-w/2,w/4],[L,-w/2,w/4],20,'baseangle',45)
        arrow([L,-w/2,w/4],[0,-w/2,w/4],20,'baseangle',45)
        arrow([L,0,0],[L,0,-w/2],20,'baseangle',45)
        arrow([L,0,w],[L,0,w/4],20,'baseangle',45)
        arrow([L/80,-w/2,w/2],[L/80,w/2,w/2],20,'baseangle',45)
        arrow([L/80,w/2,w/2],[L/80,-w/2,w/2],20,'baseangle',45)
        arrow([L/80,-3*w/4,w/2],[L/80,-3*w/4,d/2],20,'baseangle',45)
        arrow([L/80,-3*w/4,-w/2],[L/80,-3*w/4,-d/2],20,'baseangle',45)
%         annotation('doublearrow',[0.1857 0.2643],[0.6371 0.7071])
        text(0,0,3*w/4,'\itw\rm','fontsize',FS);
%         annotation('doublearrow',[0.1857 0.7661],[0.6347 0.4071]);
        text(L/2,-.05,.05,'\itL','fontsize',FS);
%         annotation('arrow',[0.175 0.175],[0.6585 0.6143])
%         annotation('arrow',[0.175 0.175],[0.53 0.5762])
        text(0,-.2,.02,'\ith','fontsize',FS)
        text(L/2,0,-w,'(a)','fontsize',FS)
        axis 'tight'
%         print -dpng FigB14a
        colormap('gray')
        set(gcf,'paperposition',[1 1 3 3])

        print -depsc FigB14a
        print -dtiff -r1200 FigB14a
        
return

function setFigure

    fName = 'DeflectedBeam';
    fH    = findobj('name',fName)
    if isempty(fH)
        figure('name',fName,'numbertitle','off','color',[1 1 1]);
    else
        figure(fH);clf
    end;

return

function deformedBeam(L,w,d, uL, beamColor)

    N = 20;
    x = [0:1/N:1]*L;
    u = -3/2/L^2*uL*x.^2 + uL/2/L^3*x.^3;
    patch([x,fliplr(x)],[ones(1,N+1),-ones(1,N+1)]*w/2,[u, fliplr(u)]*w/2,...
          beamColor,'facealpha',1)

return

function drawRefBeamPosition(L, w, d, beamColor, lineStyle)

    p(1) = patch([0 L L 0],[-1 -1 -1 -1]*w/2,[-1 -1 1 1]*d/2,beamColor); % side surface
    p(2) = patch([0 L L 0],[1 1 1 1]*w/2,[-1 -1 1 1]*d/2,beamColor); % side surface
    p(3) = patch([0 L L 0],[-1 -1 1 1]*w/2,[-1 -1 -1 -1]*d/2,beamColor);
    p(4) = patch([0 L L 0],[-1 -1 1 1]*w/2,[1 1 1 1]*d/2,beamColor);
    p(5) = patch([1 1 1 1]*L,[-1 1 1 -1]*w/2,[-1 -1 1 1]*d/2,beamColor);
           patch([0 L L 0],[-1 -1 1 1]*w/2,[0 0 0 0],[1 1 1 ],'linestyle',':','facealpha',.5)
    
    set(p,'linestyle',lineStyle,'facealpha',.2,'linewidth',1,'facealpha',.5)
    view(34, 26)
    axis 'equal'

return