function freqSweepBW

    setFigure( 'Frequency Sweep')
    FS = 18; FS = 9;
    m = 1;
    k = 1;
    wo = sqrt(k/m);
    Q = 10;
    w = [0:.001:3];
     M = 1/k./sqrt((1-(w./wo).^2).^2+(1/Q*(w/wo)).^2);
%      patch([.93 1.05 1.05 .93],[.65 .65 1.05 1.05]*Q,[1 1 1],...
%            'linestyle','--','edgecolor',[0 0 0],...
%            'facealpha',0,'linewidth',1); 
    plot([.93 1.05],[.65, .65 ]*Q,'--k','linewidth',1); hold on;
    plot([.93 1.05],[1.05, 1.05 ]*Q,'--k','linewidth',1);
    plot([.93 .93],[1.05, .65 ]*Q,'--k','linewidth',1);
    plot([1.05 1.05],[1.05, .65 ]*Q,'--k','linewidth',1);
    hold on;
     plot(w,M,'k','linewidth',1); 
     plot([.93 1.5],[10.5, 10],'--','color',[0 0 0]);
     plot([1.05 3],[10.5, 10],'--','color',[0 0 0]);
     plot([.93 1.5],[6.5, 5],'--','color',[0 0 0]);
     plot([1.05 1.5],[6.5, interp1([1.05 3], [6.5 5],1.5)],'--','color',[0 0 0]);
     patch([1.5 3 3 1.5], [5 5 10 10],[1 1 1],...
           'edgecolor',[0 0 0],'linewidth',1,'linestyle','--','facealpha',1);
    set(gca,'fontsize',FS,'ytick',[1 10/sqrt(2) 10],...
            'yticklabel',{'','',''},'ylim',[0 11],...
            'xlim',[-.2 w(end)+.2]);
    ind  = find(M>=Q/sqrt(2));
    plot(w(ind(1))*[1 1],[0 M(ind(1))],':')
    plot(w(ind(end))*[1 1],[0 M(ind(end))],':')
    grid on;
    ylabel({'Measured displacements'});
    xlabel('Normalized frequency \it\omega\rm_r')
    text(-.2,1,' \itF\rm_o/\itk','fontsize',FS,'verticalalignment','bottom');
    text(-.2,10/sqrt(2),' 0.707\itQF\rm_o/\itk\rm','fontsize',FS,'verticalalignment','bottom');
    text(-.2,10,' \itQF\rm_o/k\rm','fontsize',FS,'verticalalignment','bottom');
    
    axes('position',[.5 .5 .36 .36]);
%     plot([
    plot(w,M,'k','linewidth',1); hold on;
    set(gca,'fontsize',14,'xlim',[.93 1.05],'ylim',[.65 1.05]*10,'xtick',1,...
            'ytick',[],'box','on','xcolor',[0 .5 0],'ycolor',[0 .5 0],'xticklabel','');
        axis 'off'
    plot(w(ind(1))*[1 1],[.65 M(ind(1))],':','color',[0 0 0])       
    plot(w(ind(end))*[1 1],[.65 M(ind(end))],':','color',[0 0 0])
    plot([1 1],[.65 interp1(w(w>sqrt(1-1/4/Q^2)), M(w>sqrt(1-1/4/Q^2)),1)],':','color',[0 0 0])
    plot(mean( w(M==max(M)))*[1 1],[6.5 max(M)],':','color',[0 0 0])
    plot([.93 1.05],Q/sqrt(2)*[1 1],':','color',[0 0 0]);
    plot([.93 1.05],Q*[1 1],':','color',[0 0 0]);
    text(1.02,7.2,'\it\omega\rm_o','color',[0 0 0],...
               'horizontalalignment','center',...
               'verticalalignment','top',...
               'fontsize',FS);
    text(.98,7.2,'\it\omega\rm_d','color',[0 0 0],...
               'horizontalalignment','center',...
               'verticalalignment','top',...
               'fontsize',FS);
    text(1,7.1,'       \Delta\it\omega','fontsize',FS,'horizontalalignment','center',...
               'verticalalignment','bottom','color',[0 0 0]);
    annotation('arrow',[0.75 0.7143],[0.52 0.5],'Color', [0 0 0])
    annotation('arrow',[0.6714 0.7054],[0.52 0.4976],'Color', [0 0 0])
    annotation('doublearrow',[0.55 0.85],[0.549 0.55],'Color', [0 0 0]);
%     print -dpng FigB8
    colormap('gray')
    set(gcf,'paperposition',[1 1 5 4])
    print -deps FigB8
    print -dtiff -r1200 FigB8

return