function logDec

    wo = 1;
    zeta = .05;  % Q = 10
    wd = wo*sqrt(1-zeta^2);
    t = 0:2*pi/wd/20:12*2*pi/wd;
    Xo = 10;
    x = Xo*exp(-zeta*wo*t).*cos(wd*t+pi/3);
    setFigure
    plot(t,x,'linewidth',1)
    set(gca,'fontsize',14,'xlim',[0 t(end)],'ylim',[-12 12])
    hold on;
    yl = get(gca,'ylim');
    t1 = 5*pi/3/wd;
    n  = 5
    t2 = t1 + n*2*pi/wd;
         plot( t1*[1 1], [10*exp(-zeta*wo*t1) yl(1)],':');
         text( t1, yl(1),' \itt\rm_1','verticalalignment','bottom',...
                         'fontsize',14)
         plot( t2*[1 1], [10*exp(-zeta*wo*t2) yl(1)],':');
         text( t2, yl(1),[' \itt\rm_1 + ' sprintf('%d',n) '\times(2\pi/\it\omega_d)'],...
                         'verticalalignment','bottom',...
                         'fontsize',14)
         plot( [t1 t2+2], 10*exp(-zeta*wo*t1)*[1 1],':');
         text(t2+2,10*exp(-zeta*wo*t1),'\itx\rm(\itt\rm_1)','fontsize',14);
         plot( [t2 t2+2], 10*exp(-zeta*wo*t2)*[1 1],':');
         text(t2+2,10*exp(-zeta*wo*t2),...
              ['\itx\rm(\itt\rm_1)exp(-\it\zeta\omega_o\rm\times',...
               sprintf('%d',n) '\times2\pi/\omega_d)'],...
               'fontsize',14);
         xlabel('Time \itt')
         ylabel('Displacements   \itx\rm(\itt\rm)')
         plot([0 t(end)],[0 0],'k--');
         title(['\itx(t) = X_oe^{-\zeta\omega_ot}\rmcos(\it\omega_dt+\phi\rm)',...
                '|_{\zeta\rm = ' num2str(zeta) ', \it\omega_o\rm = ' num2str(wo),...
                ', and \itX_o\rm = ' num2str(Xo) '}']);
         plot([7*pi/6/wd, (7*pi/6+9*2*pi)/wd],[0 0],'x','markersize',14,'linewidth',2)
         plot(7*pi/6/wd*[1 1],[0 -5],':');
         plot((7*pi/6+9*2*pi)*[1 1],[0 -5],':');
         text(7*pi/6+4.5*2*pi,-5,'10\itT_d','fontsize',14,'horizontalalignment','center',...
                               'verticalalignment','top');
         annotation('doublearrow',[0.1696 0.7429],[0.35 0.35])
return

function setFigure

    figName = 'Logarithmic decrement'
    fh = findobj('name',figName);
    if isempty(fh)
        figure('name',figName,'numbertitle','off');
    else
        figure(fh);clf;
    end;

return