function logDecBW

    FS = 18;FS = 9;
    wo = 1;
    zeta = .05;  % Q = 10
    wd = wo*sqrt(1-zeta^2);
    t = 0:2*pi/wd/20:12*2*pi/wd;
    Xo = 10;
    x = Xo*exp(-zeta*wo*t).*cos(wd*t+pi/3);
    setFigure('Log decrement')
    plot(t,x,'k','linewidth',1)
    set(gca,'fontsize',FS,'xlim',[0 t(end)],'ylim',[-12 12])
    hold on;
    yl = get(gca,'ylim');
    t1 = 5*pi/3/wd;
    n  = 5
    t2 = t1 + n*2*pi/wd;
         plot( t1*[1 1], [10*exp(-zeta*wo*t1) yl(1)],':k');
         text( t1, yl(1),' \itt\rm_1','verticalalignment','bottom',...
                         'fontsize',FS)
         plot( t2*[1 1], [10*exp(-zeta*wo*t2) yl(1)],':k');
         text( t2, yl(1),[' \itt\rm_1 + ' sprintf('%d',n) '\times(2\pi/\it\omega_d\rm)'],...
                         'verticalalignment','bottom',...
                         'fontsize',FS)
         plot( [t1 t2+2], 10*exp(-zeta*wo*t1)*[1 1],':k');
         text(t2+2,10*exp(-zeta*wo*t1),'\itx\rm(\itt\rm_1)','fontsize',FS);
         plot( [t2 t2+2], 10*exp(-zeta*wo*t2)*[1 1],':k');
         text(t2+2,10*exp(-zeta*wo*t2),...
              ['\itx\rm(\itt\rm_1)exp(-\it\zeta\omega_o\rm\times',...
               sprintf('%d',n) '\times2\pi/\it\omega\rm_d)'],...
               'verticalalignment','bottom',...
               'fontsize',FS);
         yl = ylim;
         xlabel('Time \itt')
         ylabel('Displacements   \itx\rm(\itt\rm)')
         plot([0 t(end)],[0 0],'k--');
         text(mean(xlim), yl(2),...
               ['\itx\rm(\itt\rm) = \itx\rm_oe^{-\it\zeta\omega\rm_o\itt}\rmcos(\it\omega\rm_d\itt+\phi\rm)',...
                '|_{\zeta\rm = ' num2str(zeta) ', \it\omega_o\rm = ' num2str(wo),...
                ', and \itx_o\rm = ' num2str(Xo) '}'],...
               'horizontalalignment','center',...
               'verticalalignment','top',...
               'fontsize',FS);
         plot([7*pi/6/wd, (7*pi/6+9*2*pi)/wd],[0 0],'kx','markersize',FS,'linewidth',2)
         plot(7*pi/6/wd*[1 1],[0 -5],'k:');
         plot((7*pi/6+9*2*pi)*[1 1],[0 -5],'k:');
         text(7*pi/6+4.5*2*pi,-5,'10\itT\rm_d','fontsize',FS,'horizontalalignment','center',...
                               'verticalalignment','top');
         annotation('doublearrow',[0.1696 0.7429],[0.35 0.35])
%          print -dpng FigB7
         colormap('gray')
         set(gcf,'paperposition',[1 1 5 4])
         print -deps FigB7
         print -dtiff -r1200 FigB7
         
return
