function nonLinSDF

    col = [0 0 1;
           1 0 0;
           0 .5 0;
           .5 .3 0;
           0 0 0];
    k3 = [-.002, 0,.002];
    N = 100;
    w  = .8:.01:1.2;
%     w  = 1.2:-.01:.8;
    A = zeros(length(w), length(k3));
    figure(2);%clf
    for i = 1 : length( k3 ) 
        IC = 1;
        for j = 1:length(w)
            T = 2*pi/w(j);
            dt = T/N;
            [t,q] = ode45(@duffing,[0:dt:30*T],[0 0],[],k3(i),w(j));
            [A(i,j),ind] = max(q(t>29*T,1));
            phi(i,j) = -acos(2*cos(w(j)*t(t>28*T))'*q(t>28*T,1)/A(i,j)/2/N)*180/pi;
            IC = A(i,j);
            figure(1);
            clf
            plot(t,q(:,1))
        end;
        figure(2);
        ax(1)= subplot(2,1,1);
        plot(w,A(i,:),'color',col(i,:));
        hold on;
        leg{i} = ['\itk\rm_3 = ' sprintf('%2.3f',k3(i))];
        ax(2) = subplot(2,1,2);
        plot(w,phi(i,:),'color',col(i,:));hold on;
    end;
    set(ax,'fontsize',14)
    axes(ax(1))
    
    ylabel('Normalized Displacement \itx/k','fontsize',16);
    legend(leg,'fontsize',16);
    axes(ax(2))
    xlabel('frequency \it\omega/\omega_{\rmo}','fontsize',16);
    ylabel('Angle \it\phi\rm [^o]');
    set(ax(2),'ytick',[-180:45:-45])
    
return

function dq = duffing(t,q,k3,w)

    m = 1;
    k = 1;
    Q = 10;
    dq = zeros(2,1);
    b = sqrt(m*k)/Q;
    dq(1) = q(2);
    F = 1;
    
    dq(2) = -k/m*q(1)-k3/m*q(1)^3 -b/m*q(2)+F/m*cos(w*t);

return