function phasePlot

%     zeta = [.05, .1, .5 1, 1.5];
    zeta = [0, .2, 1, 1.2];
    Q = 1/2./zeta;
    setFigure('Phase plot')
    FS = 9;
    s={'-k','-.k','--k','-k','-.k'};
    lw=[ .5 .5 .5 1 1];
    ax(1) = subplot(2,1,1);
    ax(2) = axes('units','normalized','position',[.1,.15,.3,.35]);
    for i = 1 : length( Q ) 
        [t,q] = ode45(@SDF,[0:.1:50],[1 0],[],Q(i));
        axes(ax(1))
        plot(t,q(:,1),s{i},'linewidth',lw(i)); hold on;
        axes(ax(2))
        plot(q(:,1),q(:,2),s{i},'linewidth',lw(i)); hold on;
        if i == 1
           leg{i} = ['\itQ\rm = \infty    (\it\zeta\rm = 0)'];
        else
           leg{i} = ['\itQ\rm = ' sprintf('%2.2f',Q(i)), ...
               ' (\it\zeta\rm = ' sprintf('%2.2f',zeta(i)),')'];
        end;
    end;
    set(gca,'fontsize',FS)
    xlabel({'Displacement \itq\rm_1 = \itx';'\rm(b)'},'fontsize',FS);
    ylabel('Veolcity \itq\rm_2 = \itdx\rm/\itdt','fontsize',FS);
    set(gca,'ylim',[-1.3 1.3],'xlim',[-1.3 1.3])
    lg = legend(leg);
%     set(lg,'position',[.5,.15,.3,.3])
%     text(.8,1,'(b)','fontsize',FS)
    axis 'square'   
    legend(leg,'eastoutside')
    axes(ax(1))
    set(gca,'fontsize',FS)
    xlabel({'Time \itt\rm';'(a)'})
    ylabel('Displacement \itx\rm')
%     text(46,.7,'(a)','fontsize',FS)
%     print -dpng FigB5
    set(gcf,'paperposition',[1 1 6 4])
    colormap('gray')
    print -deps FigB5
    print -dtiff -r1200 FigB5


return

function dq = SDF(t,q,Q)

    m = 1;
    k = 1;
    dq = zeros(2,1);
    b = sqrt(m*k)/Q;
    dq(1) = q(2);
    dq(2) = -k/m*q(1) -b/m*q(2);

return