function timePlotBW

%     zeta = [.05, .1, .5 1, 1.5];
    zeta = [ 0,.2, 1, 1.2];
    Q = 1/2./zeta;
    s={'-k','-.k','--k','-k','-.k'};
    lw=[ 1 2 1 2 1];
    figure
    for i = 1 : length( Q ) 
        [t,q] = ode45(@SDF,[0:.1:50],[1 0],[],Q(i));
        plot(t,q(:,1),s{i},'linewidth',lw(i)); hold on;
        leg{i} = ['$Q = ' sprintf('%2.2f',Q(i)), '(\zeta = ' sprintf('%2.2f',zeta(i)),')$'];
    end;
    set(gca,'fontsize',14)
    xlabel('Time $t$','interpreter','latex','fontsize',16);
    ylabel('Displacement $x$','interpreter','latex','fontsize',16);
    legend(leg,'interpreter','latex','fontsize',16);


return

function dq = SDF(t,q,Q)

    m = 1;
    k = 1;
    dq = zeros(2,1);
    b = sqrt(m*k)/Q;
    dq(1) = q(2);
    dq(2) = -k/m*q(1) -b/m*q(2);

return