function CrystPlanes

    setFigure('Crystal Planes')
    FS = 9;
    LW1 = .5;
    LW2 = 1.5;
    %(a)
    axes('position',[.01, .1, .31,.3])
    drawCube(FS,LW1,LW2)
    draw010(FS)
    annotation('textbox',[.12, .01, .05,.05], 'fontsize',9,...
    'string','(a)','linestyle','none')    
    
    %(b)
    axes('position',[.35, .1, .31,.3])
    drawCube(FS,LW1,LW2)
    draw110(FS,LW1,LW2)
    annotation('textbox',[.46, .01, .05,.05], 'fontsize',9,...
    'string','(b)','linestyle','none')     
    %(c)
    axes('position',[.66, .1, .31,.3])
    drawCube(FS,LW1,LW2)
    draw111(FS,LW1,LW2)    
    annotation('textbox',[.77, .01, .05,.05], 'fontsize',9,...
    'string','(c)','linestyle','none')    %     set(gca,'position',[0,.05,1,.85])
    
    colormap('gray')
    set(gcf,'paperposition',[1 1 6 4]);
    print -dtiff -r1200 Fig_C8
return

function drawCube(FS,LW1,LW2)

    % faces
    patch([0 1 1 0],[0 0 1 1],[0 0 0  0],[1 1 1],'facecolor','none'); hold on;
    patch([0 1 1 0],[0 0 1 1],[1 1 1 1],[1 1 1],'facecolor','none');
    patch([0 1 1 0],[0 0 0  0],[0 0 1 1],[1 1 1],'facecolor','none');
    patch([0 1 1 0],[1 1 1 1],[0 0 1 1],[1 1 1],'facecolor','none');
    % lines
    plot3([0 1.1],[0 0],[0 0],'k','linewidth',LW2)
    text(1.1,0,0,'[1 0 0]','fontsize',FS,'horizontalalignment','right')
    plot3([0 0],[0 1.1],[0 0],'k','linewidth',LW2)
    text(0,1.1,0,'[0 1 0]','fontsize',FS,'horizontalalignment','left')
    plot3([0 0],[0 0],[0 1.1],'k','linewidth',LW2)
    text(0,0,1.1,' [0 0 1]','fontsize',FS,'horizontalalignment','left')

    text(1,0,.5,' a ','fontsize',FS,'horizontalalignment','right')
    text(1,.5,0,' a ','fontsize',FS,'horizontalalignment','left',...
         'verticalalignment','top')
    text(0.5,1,0,' a ','fontsize',FS,'horizontalalignment','left')
     
    view(115.5, 30)
    axis 'equal'
    axis off

return

function draw010(FS)

    patch([0 1 1 0],[1 1 1 1],[0 0 1 1],[1 1 1]*.35,'facealpha',.5)
    plot3(.5,1,.5,'.k','markersize',15);
    plot3([.5 .4],[1 1.5],[.5 .8],'k');
    text(.4,1.3,.7,'(010)','fontsize',FS)
    
return

function draw110(FS,LW1,LW2)

    patch([1 0 0 1],[0 1 1 0],[0 0 1 1],[1 1 1]*.35, 'facealpha',.5); hold on;
    plot3([0 1.1],[0 1.1],[0 0],'k','linewidth',LW2)
    text(1.1,1.1,0,' [1 1 0]','fontsize',FS);
    plot3(.5,.5,.5,'.k','markersize',15);
    plot3([.5 .4],[.5 1.5],[.5 .8],'k');
    text(.4,1.3,.7,'(110)','fontsize',FS)
  
return

function draw111(FS,LW1,LW2)

    patch([1 0 0 ],[0 1 0],[0 0 1 ],[1 1 1]*.35, 'facealpha',.5); hold on;
    plot3([0 1.1],[0 1.1],[0 1.1],'k','linewidth',LW2)
    text(1.1,1.1,1.1,' [1 1 1]','fontsize',FS);
    plot3(.2,.2,.8,'.k','markersize',15,'linewidth',LW1);
    plot3([.2 0],[.2 .7],[.8 1.3],'k','linewidth',LW1);
    text(0,.7,1.3,'(111)','fontsize',FS)

return