function bulkMu
    FS = 13;
    setFigure('Bulk micromachining')
    L = 3;
    H =1 ;
    l =2.2;
    h = .05;
    d = .6;
    r = .4;
    W = 2;
    w = 1;
    crossSect(L,H,l,h,d,r,FS)
    topDown(L,H,l,h,d,r,W,w,FS)
    
return

function crossSect(L,H,l,h,d,r,FS)

    subplot(2,2,1)
    patch([0 L L 0],[0 0 H H],[1 1 1]*.85);
    hold on;
    
    q = linspace(pi,3*pi/2,50);
    x = [2*d + r*cos(q), L-d+r*cos(q+pi/2)];
    y = [H+r*sin(q),H+ r*sin(q+pi/2)];
    patch(x,y,[1 1 1]*.95,'edgecolor','none');
        patch([0 l l 0],[0 0 h h]+H,[1 1 1]*.6);
    patch([L-d/2 L L L-d/2],[0 0 h h]+H,[1 1 1]*.6);

    axis off
    text(0,H/20,' Substrate','fontsize',FS,'verticalalignment','bottom');
    text(2*d, H-r/2,'Etched Area','Fontsize',FS)
    text(L/2,-H/20,'(A) - cross section','horizontalalignment','center',...
        'verticalalignment','top','fontsize',FS);
    set(gca,'xlim',[-.12*L 1.12*L]);

return

function topDown(L,H,l,h,d,r,W,w,FS)

    subplot(2,2,3);
    patch([0 L L 0],[0 0 L L],[1 1 1]*.85); hold on
    patch([2*d-r, L-d+r, L-d+r, 2*d-r],[0 0 W W]+(L-W)/2,[1 1 1]*.95)
    patch([0 L L 0],[0 0 1 1]*.25*L,[1 1 1]*.6,'edgecolor','none','facealpha',.5);
    patch([0 L L 0],.75*L+[0 0 1 1]*.25*L,[1 1 1]*.6,'edgecolor','none','facealpha',.5);
    patch([L-d/2, L, L, L-d/2],.25*L+[0 0 L L]/2,[1 1 1]*.6,'edgecolor','none','facealpha',.5);
    patch([0 d+r d+r 0],.25*L+[0 0 L L]/2,[1 1 1]*.6,'edgecolor','none','facealpha',.5);
    patch([l d+r d+r l],.5*L+[-1 -1 1 1]*L/10,[1 1 1]*.6,'edgecolor','none','facealpha',.5);
    plot([-.1*L,-.1*L,1.1*L,1.1*L],L/2+[1 0 0 1]*L/10,'k--')
%     patch([0,L,L,0
    axis off;
    text(L/2,-L/20,'(B) -  top down','horizontalalignment','center',...
        'verticalalignment','top','fontsize',FS);
    arrow([-.1*L,.5*L],[-.1*L,.6*L],10)
    arrow([1.1*L,.5*L],[1.1*L,.6*L],10)
    set(gca,'xlim',[-.12*L 1.12*L]);
    

    

return