function czProcess
   % this is just a projection plot; not a 3D image
   setFigure('Si Ignot')
   set(gcf,'renderer','painters');
   q = linspace(0,2*pi,100);
   fs = 9;
   hP = .8;   % height of polySi
   H = 2.5;   % height of crucible
   a = 1;     % ellipse of poly
   b = .3;
   crucible()
   ingot()
   sliceIngot()
   colormap('gray')
   set(gcf,'paperposition',[1 1 5, 4],'renderer','painters')
   print -dtiff -r1200 Fig_C5
   print -depsc Fig_C5

 
   function crucible()
       
       polyClr = [1 1 1]*.8;
       
       % clear part
       patch([-1,1,1,-1],[hP,hP,H,H],[1 1 1],'linewidth',1);
       patch(a*cos(q),H+b*sin(q),[1 1 1],'linewidth',1); hold on;
       % liquid part
       patch(a*cos(q),b*sin(q),polyClr,'linewidth',1); hold on;
       patch([-a,a,a,-a],[0,0,hP,hP],polyClr,'linewidth',1);
       plot([-a a],[0 0],'color',polyClr,'linewidth',1);
       patch(a*cos(q),hP+b*sin(q),polyClr);
       text(0,hP/4,'Molten Si','horizontalalignment','center',...
                   'fontsize',fs);
      
       %
       axis off;
       set(gca,'xlim',[-1 1]*1.05)
       axis equal
             
   end
   function ingot()
       LW = 1;
       A = .3;
       B = .1;
       hI = 3;
       ignotClr = [1 1 1]*.6;
       patch(A*cos(q),hP+B*sin(q),ignotClr,'linewidth',LW); hold on;
       patch([-A,A,A,-A],hP+[0,0,hI,hI],ignotClr,'linewidth',LW);
       plot([-A A],[0 0]+hP,'color',ignotClr,'linewidth',LW);
       plot(a*cos(q(length(q)/2:end)), H+ b*sin(q(length(q)/2:end)),'k',...
            'linewidth',LW);
       patch([A*cos(q(length(q)/2:end)),0], ...
             hP+hI+ [B*sin(q(length(q)/2:end)), .1],...
            ignotClr,...
            'linewidth',LW);
       arrow([0,hP+hI+.1],[0, hP+hI+.6],15,'linewidth',LW)
       q2 = linspace(pi/3,-4*pi/3,80);
       plot(.3*cos(q2),.1*sin(q2)+hP+hI+.3,'k','linewidth',LW)
       arrow([.3*cos(q2(end-5)),.1*sin(q2(end-5))+hP+hI+.3],...
             [.3*cos(q2(end)),.1*sin(q2(end))+hP+hI+.3],...
             8)
       text(0,-.5,'(a)','horizontalalignment','center','fontsize',fs)
       text(0,hP+hI/2,'Ingot','fontsize',fs,'rotation',90)
           
   end
   function sliceIngot()
       A = .3;
       B = .1;
       hI = 3;
       dx = 3;
       dy = .3;
       LW = 1;
       ignotClr = [1 1 1]*.6;
     % draw diamond saw
       qSaw = linspace(0,2*pi,81);
       r = 1.1*ones(1,81);
       r(2:4:end) = r(2:4:end) - .2;
       r(3:4:end) = r(3:4:end) - .2;
       patch(1.4*dx+r.*cos(qSaw),hP+.3*r.*sin(qSaw),[1 1 1]*.4)   
       text(1.4*dx,hP+.5,'Diamond saw','fontsize',fs)
       patch(dx+A*cos(q),hP+B*sin(q),ignotClr,'linewidth',LW); hold on;
       patch(dx+[-A,A,A,-A],hP+[0,0,hI,hI],ignotClr,'linewidth',LW);
       plot(dx+[-A A],[0 0]+hP,'color',ignotClr,'linewidth',LW);
       patch(dx+[A*cos(q(length(q)/2:end)),0], ...
             hP+hI+ [B*sin(q(length(q)/2:end)), .1],...
            ignotClr,...
            'linewidth',LW);
       patch(dx+A*cos(q),hP-dy+B*sin(q),ignotClr,'linewidth',LW); hold on;
       patch(dx+A*cos(q),hP-2*dy+B*sin(q),ignotClr,'linewidth',LW); hold on;
       text(dx,-.5,'(b)','horizontalalignment','center','fontsize',fs)
       text(dx,hP+hI/2,'Ingot','fontsize',fs,'rotation',90)
       text(dx+2*A,hP-1.5*dy,'wafers','fontsize',fs)
              q2 = linspace(pi/3,-4*pi/3,80);

       plot(1.4*dx+.3*cos(q2),.1*sin(q2)+hP,'k','linewidth',LW)
       arrow([1.4*dx+.3*cos(q2(end-5)),.1*sin(q2(end-5))+hP],...
             [1.4*dx+.3*cos(q2(end)),.1*sin(q2(end))+hP],...
             8)
   end
end