function directionCosines()

    u = .7;  % scale for the vectors
    fs = 9;
    arrowSize = 5;
    makeWafer()
    addCubicVectors()
    addAvector()
    addAngles()
    colormap('gray')
    set(gcf,'paperposition',[1 1 5 4],'renderer','painters')
    print -dtiff -r1200 Fig_C10
    print -depsc Fig_C10
    
    function makeWafer()
       
       setFigure('direction Cosines')
       q = linspace(-pi/2+pi/6,3*pi/2-pi/6,100);
       patch(cos(q),sin(q),ones(size(q))*-.1,[1 1 1]*.7);
       axis equal
       axis off
       view(5,40)
       view(-153,30)
       axis(axis)
       hold on;
       
    end
    function addCubicVectors()      
        arrow([0,0,0],[1,1,0]/sqrt(2)*u,arrowSize)
        text(u/sqrt(2),u/sqrt(2)+.2,0,'[0 1 0]','fontsize',fs)
        arrow([0,0,0],[-1,1,0]/sqrt(2)*u,arrowSize)
        text(-u/sqrt(2)-.2,u/sqrt(2),0,'[0 0 1]',...
            'horizontalalignment','right',...
            'fontsize',fs)
        arrow([0,0,0],[0,0,1]*u,arrowSize)
        text(0,0,u,' [1 0 0]','fontsize',fs)
        zoom(2)
    end
    function addAvector()
        
        h=arrow([0,0,0],[1,0,0]*u,arrowSize);
        set(h,'linewidth',1.5)
        text(u,-.15,0,'[1 1 0]','fontsize',fs)
    end
    function addAngles()
       % alpha
       q = linspace(0,pi/2,40);
       r = u/3;
       plot3(r*cos(q),zeros(size(q)),r*sin(q),'color','k')
       text(r/2/sqrt(2),0,r/sqrt(2),'\it\alpha',...
           'horizontalalignment','center',...
           'fontsize',fs)
       % beta
       q = linspace(0,pi/4,40);
       r = 2*u/3;
       plot3(r*cos(q),r*sin(q),zeros(size(q)),'color','k')
       text(r*cos(pi/6),r*sin(pi/6),0,' \it\beta',...
            'verticalalignment','middle',...
            'fontsize',fs)
      % gamma
       q = linspace(0,3*pi/4,40);
       r = u/2;
       plot3(r*cos(q),r*sin(q),zeros(size(q)),'color','k')
       text(1.5*r*cos(pi/2),1.5*r*sin(pi/2),0,' \it\gamma',...
            'verticalalignment','middle',...
            'fontsize',fs)    
    end
end

