function waferFlats
    
    FS = 9;
    AS = 8;
    setFigure('wafer flats')
    
    axes('position',[.01, .55 .35 .35])
    q = linspace(pi/10,2*pi-pi/10,100);
    patch(cos(q),sin(q),[1 1 1]*.9,'linewidth',1); hold on;
    primFlatArrows(AS)
    axis 'equal'
    axis off
    text(0,.5,'\{1 1 1\} \itp\rm-type','fontsize',FS,'horizontalalignment','center')
    text(1.12,0,{'Primary';' flat'},'Fontsize',FS)
    
    axes('position',[.55, .55 .35 .35])
    q = [linspace(pi/10,7*pi/4-pi/20,80),linspace(7*pi/4+pi/20,19*pi/10,10)];
    patch(cos(q),sin(q),[1 1 1]*.9,'linewidth',1); hold on;
    primFlatArrows(AS)
    secArrows(-pi/4,AS)
    plot([0 cos(pi/4)],[0 -sin(pi/4)],'k');
    plot([0 cos(pi/10)],[0 0],'k');
    text(0,.5,'\{1 1 1\} \itn\rm-type','fontsize',FS,'horizontalalignment','center')
    text(1.2,0,{'Primary';' flat'},'Fontsize',FS)
    text(1.2*cos(pi/4),-1.2*sin(pi/4),{'     Secondary';'     flat'},'fontsize',FS)
    text(.3*cos(pi/8),-.3*sin(pi/8),'45^o','fontsize',FS)
    axis 'equal'
    axis 'off'
    drawArc(7*pi/4,2*pi,AS)

    
    axes('position',[.01, .15 .35 .35])
    q = [linspace(pi/10,3*pi/2-pi/20,80),linspace(3*pi/2+pi/20,19*pi/10,10)];
    patch(cos(q),sin(q),[1 1 1]*.9,'linewidth',1); hold on;
    axis(axis)
    primFlatArrows(AS)
    secArrows( -pi/2,AS )

    plot([0 cos(pi/2)],[0 -sin(pi/2)],'k');
    plot([0 cos(pi/10)],[0 0],'k');
    text(0,.5,'\{1 0 0\} \itp\rm-type','fontsize',FS,'horizontalalignment','center')
    text(1.2,0,{'Primary';' flat'},'Fontsize',FS)
    text(1.2*cos(pi/2),-1.2*sin(pi/2),{'     Secondary';'     flat'},'fontsize',FS)
    text(.3*cos(pi/4),-.3*sin(pi/4),'90^o','fontsize',FS,'horizontalalignment','center')
    axis 'equal'
    axis 'off'
    drawArc(3*pi/2,2*pi,AS)

    axes('position',[.55, .15 .35 .35])
    q = [linspace(pi/10,pi-pi/20,40),linspace(pi+pi/20,19*pi/10,40)];
    patch(cos(q),sin(q),[1 1 1]*.9,'linewidth',1); hold on;
    primFlatArrows(AS)
    secArrows( -pi,AS )

    plot([0 cos(pi)],[0 -sin(pi)],'k');
    plot([0 cos(pi/10)],[0 0],'k');
    text(0,.5,'\{1 0 0\} \itn\rm-type','fontsize',FS,'horizontalalignment','center')
    text(1.2,0,{'Primary';' flat'},'Fontsize',FS)
    text(1.2*cos(pi),-1.2*sin(pi),{'Secondary';'flat'},'fontsize',FS,...
        'horizontalalignment','right')
    text(.3*cos(pi/2),-.3*sin(pi/2),'180^o','fontsize',FS,...
        'horizontalalignment','center')
    axis 'equal'
    axis 'off'
    drawArc(pi,2*pi,AS)
    set(gcf,'paperposition',[1 1 5 4])
    colormap('gray')
    print -dtiff -r1200 Fig_C9
    print -depsc Fig_C9

   

return

function drawArc(q1,q2,AS)

    q = linspace(q1,q2,50);
    r  = .7;
    plot(r*cos(q),r*sin(q),'k');
    arrow(r*[cos(q(2)),sin(q(2))],r*[cos(q(1)),sin(q(1))],AS);
    arrow(r*[cos(q(end-1)),sin(q(end-1))],r*[cos(q(end)),sin(q(end))],AS);

return

function primFlatArrows(AS)

    plot(cos(pi/10)+[0 .2],[1 1]*sin(pi/10),'k');
    plot(cos(pi/10)+[0 .2],-[1 1]*sin(pi/10),'k');
    arrow([cos(pi/10)+.1,sin(pi/10)],[cos(pi/10)+.1,-sin(pi/10)],AS)
    arrow([cos(pi/10)+.1,-sin(pi/10)],[cos(pi/10)+.1,sin(pi/10)],AS)

return

function secArrows( phi,AS )

    x = cos(pi/20)+[0 .2];
    y1 = [1 1]*sin(pi/20);
    y2 = -y1;
    xr1 = x*cos(phi)-y1*sin(phi);
    xr2 = x*cos(phi)-y2*sin(phi);
    yr1 = x*sin(phi)+y1*cos(phi);
    yr2 = x*sin(phi)+y2*cos(phi);
    plot(xr1,yr1,'k');
    plot(xr2,yr2,'k');
    arrow(1.1/1.2*[xr1(2), yr1(2)],1.1/1.2*[xr2(2), yr2(2)],AS);
    arrow(1.1/1.2*[xr2(2), yr2(2)],1.1/1.2*[xr1(2), yr1(2)],AS);

return