function Ymodulus

    s11 =7.68e-12;
    s12 = -2.14e-12;
    s44 = 12.6e-12;
    q = pi/4;
    l = 1/sqrt(3);
    m = 1/sqrt(3);
    n = 1/sqrt(3);
    Y = Ysi();
    l = 0;
    pltYvsAngle()
    function pltYvsAngle()
        N = 100;
        for k = 0:(N-1)
            q(k+1) = pi/2*k/(N-1)-pi/4;
            m = cos(q(k+1));
            n = cos(pi/2-q(k+1));
            [Y(k+1),nu(k+1)] = Ysi;
        end;
        FS = 16;
        pltNuTheta
%         pltYpolar
%         pltYtheta
        function pltNuTheta()
            
            figure
            plot((q+pi/4)*180/pi,nu,'k','linewidth',3);
            set(gca,'fontsize',FS,'xlim',[0,90],'xtick',[0:15:90])
            xlabel('Angle \it\theta \rm [deg]');
            ylabel('Young modulus [GPa]');
            title(['[\itS\rm_{11}-2[(\itS\rm_{11}-\itS\rm_{12})-\itS\rm_{44}/2]',...
                   'cos^2(\it\theta\rm)cos^2(\it\pi\rm/2-\it\theta\rm)]^{-1}']);
            grid
            axes('position',[.37 .35 .3 .3]);
            qW = linspace(-pi/2+pi/6,3*pi/2-pi/6,100);
            patch(cos(qW),sin(qW),[1 1 1]*.8)
            hold on;
            qL = linspace(0,pi/4,20);
            plot(.5*cos(qL),.5*sin(qL),'k','linewidth',1.5);
            plot([0,.7],[0 0],'k');
            arrow([.5*cos(qL(end-1)),.5*sin(qL(end-1))],...
                  [.5*cos(qL(end)),.5*sin(qL(end))],10)
            text(cos(pi/8)/2,sin(pi/8)/2,'\it\theta  ','fontsize',FS-2,...
                'horizontalalignment','right');
            text(0,0,'[110]\rightarrow','fontsize',FS-2,'verticalalignment','top')
            axis equal
            axis off
        end

        function pltYtheta()
            
            figure
            plot((q+pi/4)*180/pi,Y,'k','linewidth',3);
            set(gca,'fontsize',FS,'xlim',[0,90],'xtick',[0:15:90])
            xlabel('Angle \it\theta \rm [deg]');
            ylabel('Young modulus [GPa]');
            title(['[\itS\rm_{11}-2[(\itS\rm_{11}-\itS\rm_{12})-\itS\rm_{44}/2]',...
                   'cos^2(\it\theta\rm)cos^2(\it\pi\rm/2-\it\theta\rm)]^{-1}']);
            grid
            axes('position',[.37 .35 .3 .3]);
            qW = linspace(-pi/2+pi/6,3*pi/2-pi/6,100);
            patch(cos(qW),sin(qW),[1 1 1]*.8)
            hold on;
            qL = linspace(0,pi/4,20);
            plot(.5*cos(qL),.5*sin(qL),'k','linewidth',1.5);
            plot([0,.7],[0 0],'k');
            arrow([.5*cos(qL(end-1)),.5*sin(qL(end-1))],...
                  [.5*cos(qL(end)),.5*sin(qL(end))],10)
            text(cos(pi/8)/2,sin(pi/8)/2,'\it\theta  ','fontsize',FS-2,...
                'horizontalalignment','right');
            text(0,0,'[110]\rightarrow','fontsize',FS-2,'verticalalignment','top')
            axis equal
            axis off
        end
        function pltYpolar()
            figure
            plot(cos(q+pi/4).*Y,sin(q+pi/4).*Y,'k','linewidth',3);
            hold on;
            axis equal
            dY = [0:40:200];
            set(gca,'xlim',dY([1,end]),'xtick',dY(1:end-1),'ylim',dY([1,end]),...
                'ytick',dY(1:end-1),'fontsize',FS);
            for dYc = dY
                plot(dYc*cos(q+pi/4),dYc*sin(q+pi/4),'k:')
            end;
            for dq = [0:15:90]*pi/180
                plot([0, cos(dq)]*dY(end),[0, sin(dq)]*dY(end),'k:')
                text(cos(dq)*mean(dY(end-1:end)),sin(dq)*mean(dY(end-1:end)),...
                     [' ' num2str(round(dq*180/pi)) '^o'],'fontsize',FS,...
                     'rotation',dq*180/pi,...
                     'verticalalignment','bottom')
            end;
            arrow([40 0],[80 0],15,'linewidth',2);
            text(80,0,'<1 1 0>',...
                 'fontsize',FS-2,...
                 'verticalalignment','bottom')
            arrow([0 40],[0 80],15,'linewidth',2);
            text(0,80,'<1 1 0>',...
                 'fontsize',FS-2,...
                 'verticalalignment','top',...
                 'rotation',90)
            
            arrow([40 40]/sqrt(2),[80 80]/sqrt(2),15,'linewidth',2);
            text([40 40]/sqrt(2),[80 80]/sqrt(2),...
                 ' <1 0 0>',...
                 'fontsize',FS-2,...
                 'verticalalignment','top',....
                 'rotation',45)    
             box off
            title('Polar plot of Young modulus \itY\rm [GPa]')
            xlabel('Young modulus along [1 1 0] GPa');
            ylabel('Young modulus along [1 1 0] GPa');
        end
    end
    function [Y,nu] = Ysi      
        Y = 1/(s11-2*((s11-s12)-s44/2)*(m^2*n^2+n^3*l^2+m^2*l^2)); 
        nu = -Y*(s12+(s11-s12-s44/2)*(l^4+m^4+n^4));
        Y = Y*1e-9; % express the Young modulus in GPa
    end
end