function anisotropicSi

[Scgs, Ssi] = getS;
          q = linspace(0,pi/2,50);
          E = zeros(size(q));
          q = linspace(0,pi/2,50);
          S = Ssi;
       E(1) = 1/S(1,1);

      for i = 2:length(q)
          Sr = rotS(S, q(i));
        E(i) = 1/Sr(1,1);
      end;
      FS = 18;
      setFigure('anistropic Si 1');
      plot(q*180/pi,E,'k','linewidth',4)
      set(gca,'fontsize', FS);
      ylabel('Young Modulus \itE\rm(\it\theta\rm ) [GPa]');
      xlabel('Angle from [010] axis \it\theta\rm [^o]');
      grid on;
      
      setFigure('anistropic Si 2');
     
%       polar(q,E);
      plot(E.*cos(q), E.*sin(q),'k','linewidth',4)
      axis equal
      r = [30:30:180];
      hold on;
      for i = 1:length(r)
        plot(r(i)*cos(q),r(i)*sin(q),':k');
      end
      qr = [15:15:90]*pi/180;
      xl = [0 150];
      set(gca,'fontsize',FS,'xlim',xl,'ylim',xl);
      
      for i = 1:length(qr)
          if qr(i)<=pi/4
              plot([0 xl(2)],[0 xl(2)*tan(qr(i))],':k');
          else
              plot([0 xl(2)/tan(qr(i))],[0 xl(2)],':k');
          end;
      end;
      arrow([0,0],[1,1]*80,20);
      arrow([90*cos(pi/8-pi/50),90*sin(pi/8-pi/50)],...
            [90*cos(pi/8),90*sin(pi/8)],20);
      plot([0 105]/sqrt(2),[0 105]/sqrt(2),'k','linewidth',2);
      plot(90*cos(linspace(0,pi/8,80)),90*sin(linspace(0,pi/8,80)),'k','linewidth',2)
      text(90*cos(pi/8),90*sin(pi/8),'  \it\theta','fontsize',FS);
      text(80,80,'[011]','fontsize',FS,'rotation',45);
      xlabel('Young modulus along [010] [GPa]');
      ylabel('Young modulus along [001] [GPa]');
        
return

function [Scgs, Ssi]  = getS

        eval(defineConsts);
 Scgs = fillS(s11, s12, s44);
 Csi  = fillS(c11, c12, c44);
 Ssi  = inv(Csi);

return

function S = fillS (s11, s12, s44);
    S = zeros(6,6);
    for i = 1:6, 
        for j = 1:6,
            if i<= 3 & j <= 3 
                if j==i
                    S(i,j) = s11;
                else
                    S(i,j) = s12;
                end;
            else
                if j==i
                    S(i,j) = s44;
                end;
            end;
        end;
    end;
return

function out=defineConsts

    out = ['s11 = 0.768;',... %cgs
           's12 = -.214;',... %cgs
           's44 = 1.26;',...  %cgs
           'c11 =165.7;',...  %si
           'c12 = 63.9;',...  %si
           'c44 = 79.9;'];
       
    
return

function sr = rotS(s, q)

          R = [cos(q), sin(q), 0;...
              -sin(q), cos(q), 0;...
                    0,      0,  1];
         sc = s(1,1) - s(1,2) - 1/2*s(4,4);
       sr22 = s(1,1) + sc*((-sin(q))^4+cos(q)^4-1);
       sr13 = s(1,2);
       sr55 = s(4,4);
       sr = fillS( sr22, sr13, sr55);
 
return