function beamGeometryMode2

        L = 1;
        w = .2;
        d = .05;
        uL = 1;
        FS = 24;FS =9;
        setFigure
        set(gca,'position',[0,0,1,1]);hold on;
        beamColor = [1 1 1]*.9;
        patch([0 0 0 0],[-1 1 1 -1]*L/4,[-1 -1 1 1]*L/4,[1 1 1]*.8,'edgecolor','none'); % draw wall
        drawRefBeamPosition(L, w, d, [1 1 1],'-');
        deformedBeam(L,w,d, uL, beamColor)
        
        axis 'off'
        arrow([L,0,0],[L,0,-w/2],20,'baseangle',45)
        arrow([L,0,w],[L,0,w/4],20,'baseangle',45)
        text(L,0,-.12,'\itx\rm','fontsize',FS)
        text(L,0,.12,' \itF_e\rm','fontsize',FS)
        text(L/2,0,-w,'(b)','fontsize',FS)
%         print -dpng FigB14c
        colormap('gray')
        set(gcf,'paperposition',[1 1 3 3],'renderer','opengl')
        print -dtiff FigB14b
        print -deps FigB14b
        annotation('doublearrow',[0.1857 0.2643],[0.6371 0.7071])
        text(0,-.05,.1,'\itw\rm','fontsize',14);
        annotation('doublearrow',[0.1857 0.7661],[0.6347 0.4071]);
        text(L/2,-.05,.05,'\itL','fontsize',14);
        annotation('arrow',[0.175 0.175],[0.6585 0.6143])
        annotation('arrow',[0.175 0.175],[0.53 0.5762])
        text(0,-.16,.02,'\ith','fontsize',14)
        
return

function setFigure

    fName = 'DeflectedBeam';
    fH    = findobj('name',fName)
    if isempty(fH)
        figure('name',fName,'numbertitle','off','color',[1 1 1]);
    else
        figure(fH);clf
    end;

return

function deformedBeam(L,w,d, uL, beamColor)

    N = 20;
    x = [0:1/N:1]*L;
    lamL = 4.694;
    kr   = (cosh(lamL)+cos(lamL))/(sinh(lamL)+sin(lamL));
    
    u = .5*(cosh(lamL*x)-cos(lamL*x)-kr*(sinh(lamL*x)-sin(lamL*x)));
    patch([x,fliplr(x)],[ones(1,N+1),-ones(1,N+1)]*w/2,[u, fliplr(u)]*w/2,...
          beamColor,'facealpha',1,'erasemode','normal')

return

function drawRefBeamPosition(L, w, d, beamColor, lineStyle)

%     for i = 0:.05:1
%         patch([1 1 1 1]*i,[-1 1 1 -1]*w/2,[-1 -1 1 1]*d/2,[1 1 1],...
%               'facealpha',.05);
%     end;
    p(1) = patch([0 L L 0],[-1 -1 -1 -1]*w/2,[-1 -1 1 1]*d/2,beamColor); % side surface
    p(2) = patch([0 L L 0],[1 1 1 1]*w/2,[-1 -1 1 1]*d/2,beamColor); % side surface
    p(3) = patch([0 L L 0],[-1 -1 1 1]*w/2,[-1 -1 -1 -1]*d/2,beamColor);
    p(4) = patch([0 L L 0],[-1 -1 1 1]*w/2,[1 1 1 1]*d/2,beamColor);
    p(5) = patch([1 1 1 1]*L,[-1 1 1 -1]*w/2,[-1 -1 1 1]*d/2,beamColor);
           patch([0 L L 0],[-1 -1 1 1]*w/2,[0 0 0 0],[1 1 1 ],'linestyle',':','facealpha',.5)
    
    set(p,'linestyle',lineStyle,'facealpha',.2,'linewidth',1,'facealpha',.5)
    view(34, 26)
    axis 'equal'

return