function makeBeamElement

    setFigure('Beam Element')
    FS = 20;
    q = linspace(-pi/16,pi/16,80)+pi/2;
    qS = linspace(0,pi,40);
    R = 100;
    h = 10;
        axes('position',[0 0 1 1]); hold on;
        hold on;
        [xSigE, ySigE] = sig(R+h/2,R,q(end),pi);
        [xSigS, ySigS] = sig(R+h/2,R,q(1),pi);
       lH(2) = patch([R*cos(q), xSigE, (R+h/2)*cos(fliplr(q)), xSigS],...
              [R*sin(q), ySigE, (R+h/2)*sin(fliplr(q)), ySigS],...
              [1 1 1]*.7,'edgecolor','none');
        [xSigE, ySigE] = sig(R+h,R+h/2,q(end),-pi);
        [xSigS, ySigS] = sig(R+h,R+h/2,q(1),-pi);
       lH(1) = patch([(R+h)*cos(q), xSigE, (R+h/2)*cos(fliplr(q)), xSigS],...
              [(R+h)*sin(q), ySigE, (R+h/2)*sin(fliplr(q)), ySigS],...
              [1 1 1]*.9,'edgecolor','none');
        [xSigE, ySigE] = sig(R+h,R,q(end));
        [xSigS, ySigS] = sig(R+h,R,q(1));

        patch([(R)*cos(q),xSigE, (R+h)*cos(fliplr(q)),fliplr(xSigS)],...
              [(R)*sin(q),ySigE, (R+h)*sin(fliplr(q)),fliplr(ySigS)],...
              [1 1 1]*1,'facealpha',0);
          
     lH(3) = plot((R+h/2)*cos(q),(R+h/2)*sin(q),'--k','linewidth',2);
        
        plot(R*cos(q(20:60)),R*sin(q(20:60)),'k','linewidth',2)
        plot((R+h)*cos(q(20:60)),(R+h)*sin(q(20:60)),'k','linewidth',2)
        hold on;
        addCrossSection(q, R, h, 20)
        addCrossSection(q, R, h, 60)
        axis 'equal'
        axis 'off'
        arrow((R-1.5*h)*[cos(q(10)),sin(q(10))],(R+h/2)*[cos(q(10)),sin(q(10))])
%         arrow fixlimits
        text((R-h)*cos(q(10)),(R-h)*sin(q(10)) ,'\it\rho','fontsize',FS)
        text(0,R+h,'\it\rhod\theta + u_x\rm(-\ith\rm/2)','fontsize',FS,...
                   'verticalalignment','bottom',...
                   'horizontalalignment','center');
        arrow((R+h)*[cos(q(21)),sin(q(21))],(R+h)*[cos(q(20)),sin(q(20))]); 
        arrow((R+h)*[cos(q(59)),sin(q(59))],(R+h)*[cos(q(60)),sin(q(60))])
        arrow((R+h/2)*[cos(q(21)),sin(q(21))],(R+h/2)*[cos(q(20)),sin(q(20))])
        arrow((R+h/2)*[cos(q(59)),sin(q(59))],(R+h/2)*[cos(q(60)),sin(q(60))])
        arrow(R*[cos(q(21)),sin(q(21))],R*[cos(q(20)),sin(q(20))])
        arrow(R*[cos(q(59)),sin(q(59))],R*[cos(q(60)),sin(q(60))])
        
        text(0,R+h/2,'\it\rhod\theta ','fontsize',FS,...
                   'verticalalignment','bottom',...
                   'horizontalalignment','center');
        text(0,R,'\it\rhod\theta + u_x\rm(\ith\rm/2)','fontsize',FS,...
                   'verticalalignment','top',...
                   'horizontalalignment','center');
        set(gca,'fontsize',FS);
        legend(lH,'Tension','Compression','Neutral Line','location','southwest');
        arrow([0,R+h/2],[0,R+h/8])
        text(0,R+h/6,' \ity','fontsize',FS,'verticalalignment','bottom')
        arrow([0,R+h/2],[h/2,R+h/2])
        text(h/2,R+h/2,' \itx','fontsize',FS,'verticalalignment','top')
        plot((R+h/8)*cos(q(15:65)),(R+h/8)*sin(q(15:65)),'--k');
        arrow((R-1.5*h)*[cos(q(15)),sin(q(15))],(R+h/8)*[cos(q(15)),sin(q(15))])
        text((R-h)*cos(q(15)),(R-h)*sin(q(15)) ,'\it\rho - y ','fontsize',FS,'horizontalalignment','right')
return


function addCrossSection(q, R, h, ind)

        
        plot([R,R+h]*cos(q(ind)),[R,R+h]*sin(q(ind)),'k');
   y1 = interp1(R*cos(q(ind + [-5:5])),R*sin(q(ind + [-5:5])),...
                (R+h/2)*cos(q(ind)));
   y2 = interp1((R+h)*cos(q(ind + [-5:5])),(R+h)*sin(q(ind + [-5:5])),...
                (R+h/2)*cos(q(ind)));
        plot((R+h/2)*cos(q(ind))*[1 1],[y1,y2],'--k','linewidth',1);
        
return

function [xSig, ySig] = sig(R1,R2,phi,maxAngle)

    if nargin < 4
        maxAngle = 2*pi;
    end;
    N = 20;
    A = 1;
    x = 0:(R2-R1)/N:(R2-R1);
    y = A*sin(x/(R2-R1)*maxAngle);
    xSig = R2*cos(phi) + x*cos(pi-phi)-y*sin(pi-phi);
    ySig = R2*sin(phi)-x*sin(pi-phi)+y*cos(pi-phi);

return