function makeBeamElement2

    setFigure('Beam Element')
    FS = 20;
    q = linspace(-pi/16,pi/16,80)+pi/2;
    R = 100;
    h = 10;
        axes('position',[0 0 1 1]); hold on;
        hold on;
        patch([(R+h)*cos(q), R*cos(fliplr(q))],...
              [(R+h)*sin(q), R*sin(fliplr(q))],...
              [1 1 1]*1,'facealpha',0);
          
     lH(3) = plot((R+h/2)*cos(q),(R+h/2)*sin(q),'--k','linewidth',2);
        
        plot(R*cos(q(20:60)),R*sin(q(20:60)),'k','linewidth',2)
        plot((R+h)*cos(q(20:60)),(R+h)*sin(q(20:60)),'k','linewidth',2)
        hold on;
        addCrossSection(q, R, h, 20)
        addCrossSection(q, R, h, 60)
        axis 'equal'
        axis 'off'
        arrow((R-1.5*h)*[cos(q(10)),sin(q(10))],(R+h/2)*[cos(q(10)),sin(q(10))])
        text((R-h)*cos(q(10)),(R-h)*sin(q(10)) ,'\it\rho','fontsize',FS)
        text(0,R+h,'\it\rhod\theta + u_x\rm(-\ith\rm/2)','fontsize',FS,...
                   'verticalalignment','bottom',...
                   'horizontalalignment','center');
        text(0,R+h/2,'\it\rhod\theta ','fontsize',FS,...
                   'verticalalignment','bottom',...
                   'horizontalalignment','center');
        text(0,R,'\it\rhod\theta + u_x\rm(\ith\rm/2)','fontsize',FS,...
                   'verticalalignment','top',...
                   'horizontalalignment','center');
        set(gca,'fontsize',FS);
return


function addCrossSection(q, R, h, ind)

        
        plot([R,R+h]*cos(q(ind)),[R,R+h]*sin(q(ind)),'k');
   y1 = interp1(R*cos(q(ind + [-5:5])),R*sin(q(ind + [-5:5])),...
                (R+h/2)*cos(q(ind)));
   y2 = interp1((R+h)*cos(q(ind + [-5:5])),(R+h)*sin(q(ind + [-5:5])),...
                (R+h/2)*cos(q(ind)));
        plot((R+h/2)*cos(q(ind))*[1 1],[y1,y2],':k','linewidth',1);
        
return