function torsionCirc

%     setFigure('Circular Rod')
    r = .2;
    L = 1;
    dL = L/12;
    k = pi/5;
    FS = 9;
    patch([0 0 0 0],...
          [-1 1 1 -1],...
          [-1 -1 1 1],...
          [1 1 1]*.9)
    hold on;
    [x,y,z,c] = rodGeom( r, L, dL,k);
    h= surf(x,y,z,c);
    set(h,'facecolor',[1 1 1]*.95)
    q = linspace(0,2*pi,40);
    patch((L-.02)*ones(size(q)),r*cos(q),r*sin(q),.9*[1 1 1],'edgecolor','none');
    plot3(L*ones(size(q)),r*cos(q),r*sin(q),'k','linewidth',1.5);
    arrow([L,0,0],[L+3*dL,0,0],10,...
        'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)],...
        'linewidth',.5)
    arrow([L,0,0],[L+4*dL,0,0],10,...
          'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)],...
          'linewidth',.5)
      
    arrow([0,0,-.8],[L+.01,0,-.8],7,...
          'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)],...
          'linewidth', .5)
    arrow([L,0,-.8],[0,0,-.8],7,...
          'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)],...
          'linewidth',.5)
    text(L+3*dL,0,0,'\itT','Fontsize',FS,'verticalalignment','bottom')
    axis off;
    view(40,28)
    % angle
    plot3([L,L],[0 -r*cos(k)],[0 r*sin(k)],'k')
    plot3([L,L],[0 -r],[0 0],'k','linewidth',1)
    plot3([0,L],[-r -r],[0 0],'--k','linewidth',1);
    % angle arrows1 
%     q1 = linspace(-pi/8,k+pi/8,16);
%     plot3(L*ones(size(q1)),-r/2*cos(q1),r/2*sin(q1),'k')
    arrow([L, -r/2*cos(k+pi/16),r*sin(k+pi/16)],...
          [L, -r/2*cos(k),r/2*sin(k)],5)
    arrow([L, -r/2*cos(-pi/8),r*sin(-pi/8)],...
          [L, -r/2,0],5)
    text(L, .02,-r/2,'\it\phi','fontsize',FS,...
         'horizontalalignment','right');
    %lenght label
    plot3([0 0],[0 0],[-r -.85],'k')
    plot3([L L],[0 0],[-r -.85],'k')
    text(L/2,0,-.8,'\itL','fontsize',FS,'verticalalignment','bottom')
    text(L/2,0,-1.2,'(a)','fontsize',FS)
    % inertia label
    text(L,2*r,2*r,' \itI_p = \rm\pi\itr\rm^4/2','fontsize',FS);
    plot3(L*[1 1]+.01,[.5 2]*r,[.5,2]*r,'k');
    plot3(L+.01,.5*r,r/2,'.k','markersize',6)
    
return

function [x,y,z,c] = rodGeom( r, L, dL,k)

    [x,f] = meshgrid([0:dL:L],linspace(0,2*pi,12));
        
        y = -r*cos(f-k*x/L);
        z = -r*sin(f-k*x/L);  
        c = cos(f)*.4 + .2;

return