function torsionPrism

%     setFigure('Prismatic Rod')
    set(gcf,'renderer','opengl')
    h = .3;
    w = .4
    dw = w/6;
    dh = h/5;
    L = 1;
    dL = L/12;
    k = pi/5;
    FS = 9;
    hP=patch([0 0 0 0]-.05,...
          [-1 1 1 -1],...
          [-1 -1 1 1],...
          [1 1 1]*.9)
%       set(hP,'facecolor','none')
    hold on;
    dx = 0:.1:1;
    for i = 1:length(dx)
        [y(i,:),z(i,:)] = warpedRect(.01*dx(i),w,dw,h,dh,pi/8*dx(i));
        x(i,:) = dx(i)*ones(size(y(i,:)));
    end;
    hS=surf(x,y,z);set(hS,'facecolor',[1 1 1]*.95)
    patch(x(end,:),y(end,:),z(end,:),[1 1 1]*.9,'linewidth',2);
    for i = 1:5
        [yL,zL] = lineW(.01,w,dw,h,dh,pi/8,i);
        plot3(L*ones(size(yL)),yL,zL,'k');
        [yL,zL] = lineH(.01,w,dw,h,dh,pi/8,i);
        plot3(L*ones(size(yL)),yL,zL,'k');
    end;  
    
    view(40,28)
%     view(90,0)
    axis off
    %lenght label
    plot3([0 0],[0 0],[-h/2 -.85],'k')
    plot3([L L],[0 0],[-h/2 -.85],'k')
    text(L/2,0,-.8,'\itL','fontsize',FS,'verticalalignment','bottom')
    text(L/2,0,-1.2,'(b)','fontsize',FS)
    arrow([0,0,-.8],[L,0,-.8],5,...
          'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)])
    arrow([L,0,-.8],[0,0,-.8],5,...
          'crossdirection',[sin(20/180*pi),cos(20/180*pi),cos(30/180*pi)])
    %width label
    arrow([0.01,-w/2,h/2+.2*h],[0.01,w/2,h/2+.2*h],5)
    arrow([0.01,w/2,h/2+.2*h],[0.01,-w/2,h/2+.2*h],5)
    text(0.02,0,h/2+.2*h,'\itw','fontsize',FS,'horizontalalignment','center',...
        'verticalalignment','bottom')
        %height label
    arrow([0.01,-w/2-.2*w,h/2],[0.01,-w/2-.2*w,-h/2],5)
    arrow([0.01,-w/2-.2*w,-h/2],[0.01,-w/2-.2*w,h/2],5)
    text(0.02,-w/2-.3*w,0,'\ith ','fontsize',FS,'horizontalalignment','right',...
        'verticalalignment','middle')   
    
return

function [yo,zo] = warpedRect(a,w,dw,h,dh,phi)
    
    zU = -h/2:dh:h/2;
    yU = -w/2:dw:w/2;
    y = [a*sin(2*pi*zU/h)-w/2,yU,a*sin(2*pi*fliplr(zU)/h)+w/2,fliplr(yU)];
    z = [zU,-a*sin(2*pi*yU/w)+h/2,fliplr(zU),a*sin(2*pi*yU/w)-h/2];
    yo = y*cos(phi)+z*sin(phi);
    zo =-y*sin(phi)+z*cos(phi);

return

function [yo,zo] = lineW(a,w,dw,h,dh,phi,i)
    
    z = -h/2:dh:h/2+a*i*dw/w;
    y = a*sin(2*pi*z/h)-w/2+i*dw;
    yo = y*cos(phi)+z*sin(phi);
    zo =-y*sin(phi)+z*cos(phi);

return

function [yo,zo] = lineH(a,w,dw,h,dh,phi,i)
    
    y = -w/2:dw:w/2;
    z = -a*sin(2*pi*y/w)-h/2+i*dh;
    yo = y*cos(phi)+z*sin(phi);
    zo =-y*sin(phi)+z*cos(phi);

return


