function ex1MEMScap( viewS )

    if nargin < 1
        viewS = 'perspective';
        viewS = 'top';
    end;
    setFigure('Ch1: Example 1');
    set(gcf,'color',[1 1 1],'renderer','zbuffer')
    drawGeometry(viewS);
    colormap('gray')
    set(gcf,'paperposition',[1 1 3 4])
    print -dtiff -r1200 Fig1p2b
    
return

function g = defGeometry

    g.L = 20;  % beam length   (um)
    g.w =  2;  % beam width    (um)
    g.h = 10;  % beam height   (um)
    g.g =  2;  % electrode gap (um)
    g.N = 7;  % number of beams
    g.D = 3;

return

function drawGeometry( viewS )

    g = defGeometry;
        drawFixed(g)
    c = [1 1 1];
        
%         drawMoving(g,c,1,1,':')
%   g.D = 5;
%         drawMoving(g,c,1,.4,'--',-3)
        drawMoving(g,c,.6,.4,'-',0)
        
        axis 'off'
        axis 'equal'
        FS = 9;
        switch viewS
            case 'top'
                view(2)  
                hold on
                spiral3d
%                 annotation('doublearrow',[0.435 0.61]-.15,[1 1]*.91)
                yEff = 25*g.w;
                arrow([g.L/4,yEff],[g.L yEff],15,45);
                arrow([g.L yEff],[g.L/4,yEff],15,45);
%                 annotation('arrow',[1 1]*.42,[0.2276 0.1762])
%                 annotation('arrow',[1 1]*.42,[0.099 0.1429])
                arrow([g.L,-3*g.w],[0,-3*g.w],15,45)
                arrow([4*g.L/5,-2*g.w],[4*g.L/5,g.w/2],15,45)
                arrow([4*g.L/5,4*g.w],[4*g.L/5,3*g.w/2],15,45)
%                 annotation('arrow',[0.5429 0.2482],[0.0609 0.0619])
                text(g.L+g.w,  -g.w/5,'\itg\rm','fontsize',FS,...
                     'horizontalalignment','center',...
                     'verticalalignment','bottom')
                text(g.L*2/3,  yEff,'\itL_{eff }\rm','fontsize',FS,...
                     'horizontalalignment','center',...
                     'verticalalignment','bottom')
                 text(g.L*2/3,-3*g.w,'\itx\rm','fontsize',FS,'verticalalignment','bottom');
                 plot([1 1]*5,[22, 25.5]*g.w,'k');
                 plot([1 1]*20,[22.5, 25.5]*g.w,'k');
                 text(1.7*g.L,15*g.w,'\itN\rm = 6','fontsize',FS)
            case 'perspective'
                view(64,28)
                hold on;spiral3d
                annotation('doublearrow',[0.182 0.182],[0.5895 0.4667]);
                text(0, -4*g.w,-1*g.h/4,'\ith','fontsize',FS)

        end;

return

function drawFixed(g)

    for i = 1:g.N
        patch([0 1 1 0]*g.L,...
              [-1 -1 1 1]*g.w/2 + 2*(i-1)*(g.w + g.g),...
              [0 0 0 0],...
              [1 1 1]*.6,...
              'edgecolor','none');
        if i == 1
            patch([0 1 1 0]*(g.L+g.w)-g.w,...
                  [-1 -1 -1 -1]*g.w/2+2*(i-1)*(g.w + g.g),...
                  [0 0 -1 -1]*g.h,...
                  [1 1 1]*.4);
        else
            patch([0 1 1 0]*g.L,...
                  [-1 -1 -1 -1]*g.w/2+2*(i-1)*(g.w + g.g),...
                  [0 0 -1 -1]*g.h,...
                  [1 1 1]*.4);
        end;
        patch([0 1 1 0]*g.L,...
              [1 1 1 1]*g.w/2+2*(i-1)*(g.w + g.g),...
              [0 0 -1 -1]*g.h,...
              [1 1 1]*.4);
        patch([1 1 1 1]*g.L,...
              [-1 1 1 -1]*g.w/2+2*(i-1)*(g.w + g.g),...
              [0 0 -1 -1]*g.h,...
              [1 1 1]*.4);
    end;
    patch([-1 0 0 -1]*g.w,...
          [-g.w/2*[1 1], [1 1]*(2*g.N-2)*g.g+(2*g.N-3/2)*g.w],...
          [0 0 0 0],...
          [1 1 1]*.6,...
          'edgecolor','none');
    patch([0 0 0 0]*g.w,...
          [-g.w/2*[1 1], [1 1]*(2*g.N-2)*g.g+(2*g.N-3/2)*g.w],...
          [0 -1 -1 0]*g.h,...
          [1 1 1]*.4,...
          'edgecolor','none');
return

function drawMoving(g,c,k1,k2,ls, off)

    %  g = geometry structure
    %  c = color vector
    % k1 = color scale 1
    % k2 = color scale 2
    % ls = lineStyle
    for i = 1:g.N-1
        patch(off+[0 1 1 0]*g.L+g.g+g.D,...
              [-1 -1 1 1]*g.w/2 + (2*(i-1)+1)*(g.w + g.g),...
              [0 0 0 0],...
              c*k1,...
              'edgecolor','none',...
              'linestyle',ls);
        if i == 1
            patch([0 1 1 0]*(g.L+g.w)+g.g+g.D,...
                 [-1 -1 -1 -1]*g.w/2 + (2*(i-1)+1)*(g.w + g.g),...
                 [0 0 -1 -1]*g.h,...
                 c*k2,...
                 'linestyle',ls);
        else
           patch(off+[0 1 1 0]*g.L+g.g+g.D,...
                 [-1 -1 -1 -1]*g.w/2 + (2*(i-1)+1)*(g.w + g.g),...
                 [0 0 -1 -1]*g.h,...
                 c*k2,...
                 'linestyle',ls);
        end;
        patch(off+[0 1 1 0]*g.L+g.g+g.D,...
              [1 1 1 1]*g.w/2 + (2*(i-1)+1)*(g.w + g.g),...
              [0 0 -1 -1]*g.h,...
              c*k2,...
              'linestyle',ls);
        patch([0 1 1 0]*0+g.g+g.D,...
              [-1 1 1 -1]*g.w/2 + (2*(i-1)+1)*(g.w + g.g),...
              [0 0 -1 -1]*g.h,...
              c*k2,...
              'linestyle',ls);
    end;
   
    patch(off+[-1 0 0 -1]*g.w+g.D+(g.L+g.g+g.w),...
          [-g.w/2*[1 1]+g.g+g.w, [1 1]*(2*g.N-4)*g.g+(2*g.N-3/2)*g.w],...
          [0 0 0 0],...
          c*k1,...
          'edgecolor','none',...
          'linestyle',ls);
    patch(off+[0 0 0 0]*g.w+g.D+(g.L+g.g+g.w),...
          [-g.w/2*[1 1]+g.g+g.w, [1 1]*(2*g.N-4)*g.g+(2*g.N-3/2)*g.w],...
          [-1 0 0 -1]*g.h,...
          c*k2,...
          'linestyle',ls);
return