function ex2MEMScap( viewS )

    if nargin < 1
        viewS = 'perspective';
        viewS = 'top';
    end;
    setFigure('Ch1: Example 1');
    set(gcf,'color',[1 1 1],'renderer','zbuffer')
    drawGeometry(viewS);  
    
return

function g = defGeometry

    g.L = 20;  % beam length   (um)
    g.w =  2;  % beam width    (um)
    g.h = 10;  % beam height   (um)
    g.g =  2;  % electrode gap (um)
   g.gB =  7; % big gap (um)
    g.N = 7;  % number of beams
    g.D = 3;

return

function drawGeometry( viewS )

    g = defGeometry;
        drawFixed(g)
    c = [1 1 1];
        
%         drawMoving(g,c,1,1,':')
%   g.D = 5;
%         drawMoving(g,c,1,.4,'--',-3)
        drawMoving(g,c,.6,.4,'-',0)
        
        axis 'off'
        axis 'equal'
        switch viewS
            case 'top'
                view(2)  
                hold on
                spiral3d(15,-18,pi/2)
                text(.6*g.L,  -4*g.w,'\itg\rm_1','fontsize',14,...
                                    'verticalalignment','bottom')
                text(g.L/2,  g.gB+g.g,'\itg\rm_2','fontsize',14)
                arrow([.8*g.L,(g.g+g.gB+3/2*g.w)],[.8*g.L,g.g+3/2*g.w],10)
                arrow([.8*g.L,g.g+3/2*g.w],[.8*g.L,(g.g+g.gB+3/2*g.w)],10)
                text(g.L*2/3,  2*g.g+1.5*g.gB+4*g.w,'\itL_{eff}\rm','fontsize',14,...
                     'horizontalalignment','center')
                 arrow([g.L*.5, 1.5*g.g+1.5*g.gB+4*g.w],...
                       [5, 1.5*g.g+1.5*g.gB+4*g.w],10);
                 arrow([g.L*.8, 1.5*g.g+1.5*g.gB+4*g.w],...
                       [20, 1.5*g.g+1.5*g.gB+4*g.w],10);
                 plot([1 1]*5,(g.g+1.5*g.gB+4*g.w)+[0 g.g],'k');
                 plot([1 1]*20,(g.g+1.5*g.gB+4*g.w)+[0 g.g],'k');
                 arrow([.9*g.L,-g.gB/2],[.9*g.L,g.w/2],10)
                 arrow([.9*g.L,g.gB],[.9*g.L,g.w/2+g.g],10)
                 text(1.8*g.L,18*g.w,'\itN\rm = 6','fontsize',14)
                 text(1.8*g.L,g.w,'\itx\rm','fontsize',14);
                 arrow([1.6*g.L,(g.g+g.gB+g.w)],[1.6*g.L,0],10)
            case 'perspective'
                view(64,28)
                hold on;
                spiral3d(12,-20,pi/2)
                annotation('doublearrow',[1 1]*.25,[0.56 0.4667]);
                text(0, -5*g.w,-1*g.h/4,'\ith','fontsize',14)
                text(-g.h/2,30,-40,'\itx','fontsize',14)
                annotation('arrow',[1 1]*.25,[0.56 0.4667]);
        end;

return

function drawFixed(g)

    for i = 1:g.N
        patch([0 1 1 0]*g.L,...
              [-1 -1 1 1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB),...
              [0 0 0 0],...
              [1 1 1]*.6,...
              'edgecolor','none');
        if i == 1
            patch([0 1 1 0]*(g.L+g.w)-g.w,...
                  [-1 -1 -1 -1]*g.w/2+(i-1)*(2*g.w + g.g+g.gB),...
                  [0 0 -1 -1]*g.h,...
                  [1 1 1]*.4);
        else
            patch([0 1 1 0]*g.L,...
                  [-1 -1 -1 -1]*g.w/2+(i-1)*(2*g.w + g.g+g.gB),...
                  [0 0 -1 -1]*g.h,...
                  [1 1 1]*.4);
        end;
        patch([0 1 1 0]*g.L,...
              [1 1 1 1]*g.w/2+(i-1)*(2*g.w + g.g+g.gB),...
              [0 0 -1 -1]*g.h,...
              [1 1 1]*.4);
        patch([1 1 1 1]*g.L,...
              [-1 1 1 -1]*g.w/2+(i-1)*(2*g.w + g.g+g.gB),...
              [0 0 -1 -1]*g.h,...
              [1 1 1]*.4);
    end;
    patch([-1 0 0 -1]*g.w,...
          [-g.w/2*[1 1], [1 1]*(g.N-1)*(g.g+g.gB)+(2*g.N-3/2)*g.w],...
          [0 0 0 0],...
          [1 1 1]*.6,...
          'edgecolor','none');
    patch([0 0 0 0]*g.w,...
          [-g.w/2*[1 1], [1 1]*(g.N-1)*(g.g+g.gB)+(2*g.N-3/2)*g.w],...
          [0 -1 -1 0]*g.h,...
          [1 1 1]*.4,...
          'edgecolor','none');
return

function drawMoving(g,c,k1,k2,ls, off)

    %  g = geometry structure
    %  c = color vector
    % k1 = color scale 1
    % k2 = color scale 2
    % ls = lineStyle
    for i = 1:g.N-1
        patch(off+[0 1 1 0]*g.L+g.g+g.D,...
              [-1 -1 1 1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB)+g.g+g.w,...
              [0 0 0 0],...
              c*k1,...
              'edgecolor','none',...
              'linestyle',ls);
        if i == 1
            patch([0 1 1 0]*(g.L+g.w)+g.g+g.D,...
                 [-1 -1 -1 -1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB)+g.g+g.w,...
                 [0 0 -1 -1]*g.h,...
                 c*k2,...
                 'linestyle',ls);
        else
           patch(off+[0 1 1 0]*g.L+g.g+g.D,...
                 [-1 -1 -1 -1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB)+g.g+g.w,...
                 [0 0 -1 -1]*g.h,...
                 c*k2,...
                 'linestyle',ls);
        end;
        patch(off+[0 1 1 0]*g.L+g.g+g.D,...
              [1 1 1 1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB)+g.g+g.w,...
              [0 0 -1 -1]*g.h,...
              c*k2,...
              'linestyle',ls);
        patch([0 1 1 0]*0+g.g+g.D,...
              [-1 1 1 -1]*g.w/2 + (i-1)*(2*g.w + g.g +g.gB)+g.g+g.w,...
              [0 0 -1 -1]*g.h,...
              c*k2,...
              'linestyle',ls);
    end;
   
    patch(off+[-1 0 0 -1]*g.w+g.D+(g.L+g.g+g.w),...
          [-g.w/2*[1 1]+g.g+g.w, [1 1]*(g.N-2)*(g.g+g.gB)+(2*g.N-3/2)*g.w],...
          [0 0 0 0],...
          c*k1,...
          'edgecolor','none',...
          'linestyle',ls);
    patch(off+[0 0 0 0]*g.w+g.D+(g.L+g.g+g.w),...
          [-g.w/2*[1 1]+g.g+g.w, [1 1]*(g.N-2)*(g.g+g.gB)+(2*g.N-3/2)*g.w],...
          [-1 0 0 -1]*g.h,...
          c*k2,...
          'linestyle',ls);
return