function spiral3d(X,Y,L,h)

    R = 10;
    r = 1;
%     h = 20;
%     L =  10;
    b =  4;
    Z = 0;

%     figure
    [x,y,z,c] = springGeom( R, r, h);
                surf(z+X,y+Y,x+Z,c,'edgecolor','none'); hold on;
    [x,y,z,c] = rodGeom( r, h, L, b, 0);
                surf(z+X,y+Y,x+Z,c,'edgecolor','none')
    [x,y,z,c] = rodGeom( r, h, L, b, 2*b + h +L);
                surf(z+X,y+Y,x+Z,c,'edgecolor','none')
    [x,y,z,c] = curlIn( R, r, h, b, 1);
                surf(z+X,y+Y,x+Z,c,'edgecolor','none');
    [x,y,z,c] = curlIn( R, r, h, b, -1);
                surf(z+X,y+Y,x+Z,c,'edgecolor','none');
                axis 'equal'
                colormap('gray');
                axis 'off'

return

function [x,y,z,c] = springGeom( R, r, h)
    
    [q,f] = meshgrid( linspace(0,10*pi,200),linspace(0,2*pi,20));
        x = R*cos(q)+r*cos(q).*cos(f);
        y = R*sin(q)+r*sin(q).*cos(f);
        z = r*sin(f)+[q/max(max(q))-1/2]*h;
        c = cos(f)*.4 + .2;

return

function [x,y,z,c] = rodGeom( r, h, L, b, offset)

    [z,f] = meshgrid([-L-b,-b]-h/2+offset,linspace(0,2*pi,20));
        x = r*cos(f);
        y = r*sin(f);  
        c = cos(f)*.4 + .2;

return

function [x,y,z,c] = curlIn( R, r, h, b, plusMinus)

    [q,f] = meshgrid( linspace(0,2*pi,40),linspace(0,2*pi,20));
      Lam = .6;
        x = R*trancExp(q,Lam).*cos(-plusMinus*q)+r*cos(-plusMinus*q).*cos(f);
        y = R*trancExp(q,Lam).*sin(-plusMinus*q)+r*sin(-plusMinus*q).*cos(f);
        z = plusMinus*(r*sin(f)-h/2-q/max(max(q))*b);
        c = cos(f)*.4 + .2;
return

function out = trancExp( q, Lam)

    out = zeros(size(q));
    out(:,1:end-2) = exp(-Lam*q(:,1:end-2));

return