function VarGapDiffLinearity

    x_d = linspace(-.5,.5,100);    % normalized gap x_d = x/d
    DC = 1./(1-x_d)-1./(1+x_d);   % normalized C1-C2
    figure;
    plot(x_d,DC,'k-','linewidth',2); 
    set(gca,'fontsize',16,'xtick',[-.5:.25:.5])
    xlabel('\itx\rm/\itd');
    ylabel(['[\itC\rm_1(\itx\rm) - '...
            '\itC\rm_2(\itx\rm)]/',...
            '(\it\epsilon\rm_o\itA\rm/\itd\rm)']);
    grid on
    hold on;
    plot(x_d,2*x_d,'k--','linewidth',1.5)
    legend('Normalized \Delta\itC','Linear term')
    figure
    eRel = (DC-2*x_d)./(2*x_d)*100;
    plot(x_d,(DC-2*x_d)./(2*x_d)*100,'k-','linewidth',2)
    set(gca,'fontsize',16,'xtick',[-.5:.25:.5])
    xlabel('\itx\rm/\itd');
    ylabel('Relative nonlinearity error [%]');
    ind = find(eRel< 5,1);
    hold on;
    plot(x_d(ind),5,'ko','markerfacecolor', [1 1 1]*.6)
    plot(-x_d(ind),5,'ko','markerfacecolor', [1 1 1]*.6)
    text(0,7,['\leftarrow  (\pm' num2str(-x_d(ind),'%.2f') ', 5) \rightarrow  '],...
        'fontsize',16,'horizontalalignment','center')    
    grid on;
    
end