function VarGapSingleEndedLinearity

    x_d = linspace(-.5,.5,100);    % normalized gap x_d = x/d
    DC = 1./(1-x_d);   % normalized C1-C2
    figure;
    plot(x_d,DC,'k-','linewidth',2); 
    set(gca,'fontsize',16,'xtick',[-.5:.25:.5])
    xlabel('\itx\rm/\itd');
    ylabel(['\itC\rm(\itx\rm)/',...
            '(\it\epsilon\rm_o\itA\rm/\itd\rm)']);
    grid on
    hold on;
    plot(x_d,1+x_d,'k--','linewidth',1.5)
    legend('Normalized \Delta\itC','Linear term')
    figure
    eRel = (DC-1-x_d)./(x_d)*100;
    plot(x_d,eRel,...
         'k-','linewidth',2)
    set(gca,'fontsize',16,...
        'xtick',[-.5:.25:.5])
    xlabel('\itx\rm/\itd');
    ylabel('Relative nonlinearity error [%]');
    x1 = interp1(eRel,x_d,-5);
    x2 = interp1(eRel,x_d,5);
    hold on;
    plot(x1,-5,'ko',...
        'markerfacecolor', [1 1 1]*.6)
    plot(x2,5,'ko',...
        'markerfacecolor', [1 1 1]*.6)
    text(x1,-5,[' \leftarrow  (',...
              num2str(x1,'%.2f'),...
              ', 5)' ],...
        'fontsize',16,...
        'horizontalalignment','left')  
    text(x2,5,['(',...
              num2str(x2,'%.2f'),...
              ', 5) \rightarrow  ' ],...
        'fontsize',16,...
        'horizontalalignment','right')    
    grid on;
    
end