function envDet

    Rdiode = 1;
    Rdet = 2e3;
    C = 200e-9;
    m = .3;
    we = 2*pi*20e3;
    wm = 2*pi*1e3;
    
    tS = linspace(0,2*pi/wm,1000);
    von = (1+m*cos(wm*tS)).*cos(we*tS);
    options = odeset('abstol',1e-8,'reltol', 1e-6);
    [t,vdet] = ode23(@intFcn, tS,von(1),options); 
    
    figure
    plot(tS*1e3,von,'k');
    hold on;
    plot(tS*1e3,vdet(:,1),'k','linewidth',2); 
    set(gca,'fontsize',14);
    xlabel('Time \itt\rm [ms]');
    ylabel('Normalized voltage');
    legend('\itv\rm_o/\itv\rm_m','\itv\rm_{det}/\itv\rm_m',...
           'location','best')
    title(['\itC\rm = ' num2str(C*1e9) ' nF']);
    function yDot = intFcn(t,y)
        ind = find(tS>=t,1);
        if y < von(ind)
            yDot = (von(ind)-y)/(Rdiode*C);
        else
            yDot = -y/(Rdet*C);
        end;
        
    end

end