function  pll

    options = odeset('RelTol',1e-4,'AbsTol',1e-5) ;
    Q = 30;
    wo = 1e3;
    w = 900;
    phiX = atan(w/wo/Q/(1-(w/wo)^2));
     [t,y] = ode45(@pllDynLin, [0:1e-4:.1], [0;w;phiX],options);
     subplot(2,1,1);
%      plot(t,mod(y(:,1)*180/pi,360),'linestyle','-','color',[1 1 1]*.5,'linewidth',2);hold on;
%      plot(t,mod(y(:,3)*180/pi,360),'color','k','linewidth',2 );hold off;
     plot(t,(y(:,3)-y(:,2))*180/pi,'k');
     set(gca,'ylim',[-90 90],'ytick',[-90:45:90],'fontsize',15)
     ylabel('\it\phi_X-\phi_Q')
     subplot(2,1,2);
     plot(t,y(:,2)/wo,'-k');
     set(gca,'fontsize',15,'xticklabel','')
     ylabel('\it\omega / \omega_o');
     

return

function ydot = pllDynLin(t,y)

    K = 1000;
    Q = 30;
    wo = 1e3;
    ydot = zeros(3,1);
    ydot(1) = y(2);
    ydot(2) =- K*(y(3)-y(1)-pi/2);
%     ydot(3) = y(2)+2*Q/wo*ydot(2)-pi/2;
    ydot(3) = y(2)-(Q*wo*(ydot(2)^2 + wo^2))/(ydot(2)^2*(wo^2 - 2*Q^2*wo^2) + Q^2*ydot(2)^4 + Q^2*wo^4)*ydot(2);


return