function pllWaves
    
    fo = 10;
     f = 0:.002:20;
     Q = 10;
     H = 1./((1-(f/fo).^2)+1i*f/fo/Q);
     
    df = -.1;
    phi = -angle(H(f==fo+df));
    dphi = pi/2-phi;
    fprintf('dphi = %f\n',dphi*180/pi);
    
     t = 0:.01:2*pi;
    vd = 1/2*(sign(sin(t-pi/2))+1);
   vdq = 1/2*(sign(sin(t))+1);
    vs = 1/2*(sign(sin(t+dphi))+1);
        vd = 1/2*(sign(sin(t-pi/2))+1);
    vdq = 1/2*(sign(sin(t))+1);
    vs = 1/2*(sign(sin(t+dphi))+1);
    vdown = vs.*vd.*(1-vdq)+(1-vs).*vdq.*(1-vd);
    vup = vs.*(1-vdq).*(1-vd)+(1-vs).*vdq.*vd;
    
    vVco = cumsum(vup-vdown);
    t = t*180/pi;

    
    
    setFigure('PLL',[.1 .0 .3 1]);
    subplot(5,1,1);
    plot(-angle(H)*180/pi,f/fo,'k','linewidth',2);
    hold on;
    plot([0, 90],[1 1],'--k');
    plot([0 phi*180/pi],[1 1]*(fo+df)/fo,'--k');
    plot([90 90],[0 1],'--k');
    plot([1 1]*phi*180/pi, [0 (fo+df)/fo],'--k')
    
    hold on;set(gca,'xlim',[0 180],'xtick',[0:90:180],'ylim',[.9 1.1],...
                'fontsize',15);
    arrow([90 .95], [phi*180/pi, .95],12);
    if df>0
        text(phi*180/pi,.95,'\Delta\it\phi','fontsize',15);
    elseif df < 0
        text(phi*180/pi,.95,'\Delta\it\phi ','fontsize',15,...
            'horizontalalignment','right');
    end;
    
    ylabel('\itf/f_o')
    xlabel('\it\phi\rm [deg]');
    if df<0
        title('\itf < f_o');
    elseif df>0
        title('\itf > f_o');
    end
    subplot(8,1,3);
    plot(t, vd,'k','linewidth',2);
    set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
        'xticklabel','','fontsize',15,'xtick',[0:90:360]);
    ylabel('\itv_D')
    
    subplot(8,1,4);
    plot(t, vdq,'k','linewidth',2);
    set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
        'xticklabel','','fontsize',15,'xtick',[0:90:360]);
    ylabel('\itv_{DQ}')

    subplot(8,1,5)
    plot(t,vs ,'k','linewidth',2);
    set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
        'xticklabel','','fontsize',15,'xtick',[0:90:360]);
    ylabel('\itv_{sS}')
    
    subplot(8,1,6)
    plot(t,vup, 'k','linewidth',2);
    set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
        'xticklabel','','fontsize',15,'xtick',[0:90:360]);
    ylabel('\itUp');
    
    subplot(8,1,7)
    plot(t,vdown,'k','linewidth',2);
    set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
        'xticklabel','','fontsize',15,'xtick',[0:90:360]);
    ylabel('\itDown');
    
    subplot(8,1,8)
    plot(t,vVco,'k','linewidth',2);
    set(gca,'ylim',[min(vVco) max(vVco)],'xlim',[0 t(end)],'yticklabel','',...
        'xtick',[0:90:360],'fontsize',15);
    ylabel('\itv_{VCO}');


return