function pllWaves_v2_CUP
    
    fo = 10;
    Np = 129;
     f = linspace(0,2*fo,Np);
     Q = 10;
     H = 1./((1-(f/fo).^2)+1i*f/fo/Q);
    setFigure('PLL2',[.1 .0 .3 1]); 
    
    df = (f(2)-f(1));
    plotOneSide(df,1);
    df = (f(2)-f(1));
    plotOneSide(df,0);
    colormap('gray')
    set(gcf,'paperposition',[1 1 6.5 8])
    print -deps Fig_5p54
    function plotOneSide(df,aSig)
        phi = -angle(H(f==fo+df));
        dphi = pi/2-phi;
        fprintf('dphi = %f\n',dphi*180/pi);

         t = linspace(0,2*pi,Np);
         length(t)
         length(phi)
        vd = 1/2*(sign(sin(t-pi/2))+1);
       vdq = 1/2*(sign(sin(t))+1);
        vs = 1/2*(sign(sin(t+dphi))+1);
            vd = 1/2*(sign(sin(t-pi/2))+1);
        vdq = 1/2*(sign(sin(t))+1);
        vs = 1/2*(sign(sin(t+dphi))+1);
        vdown = vs.*vd.*(1-vdq)+(1-vs).*vdq.*(1-vd);
        vup = vs.*(1-vdq).*(1-vd)+(1-vs).*vdq.*vd;

        vVco = cumsum(vup-vdown);
        t = t*180/pi;



        
        subplot(5,2,1+aSig);
        plot(-angle(H)*180/pi,f/fo,'k','linewidth',2);
        hold on;
        plot([-90, 90],[1 1],'--k');
        plot([-90 phi*180/pi],[1 1]*(fo+df)/fo,'--k');
        plot([90 90],[0 1],'--k');
        plot([1 1]*phi*180/pi, [0 (fo+df)/fo],'--k')

        hold on;set(gca,'xlim',[-90 270],'xtick',[-90:90:270],'ylim',[.9 1.1],...
                    'fontsize',9);
        arrow([90 .95], [phi*180/pi, .95],5);
        if df>0
            text(phi*180/pi,.95,' \Delta\it\phi','fontsize',9);
        elseif df < 0
            text(phi*180/pi,.95,'\Delta\it\phi ','fontsize',9,...
                'horizontalalignment','right');
        end;

        ylabel('\itf/f_o')
        xlabel('Resonator delay \it\phi\rm [deg]');
        if df<0
            title('\itf < f_o');
        elseif df>0
            title('\itf > f_o');
        end
        yL = [-.1,1.1];
        subplot(8,2,3*2-aSig);
        plot(t, vd,'k','linewidth',2);
        labelDphi()
        ylabel('\itv_D')

        subplot(8,2,4*2-aSig);
        plot(t, vdq,'k','linewidth',2); 
        labelDphi()
        ylabel('\itv_{DQ}')

        subplot(8,2,5*2-aSig)
        plot(t,vs ,'k','linewidth',2);
        labelDphi()
        ylabel('\itv_{sS}')

        subplot(8,2,6*2-aSig)
        plot(t,vup, 'k','linewidth',2);
        labelDphi()
        ylabel('\itUp');

        subplot(8,2,7*2-aSig)
        plot(t,vdown,'k','linewidth',2);
        labelDphi()
        ylabel('\itDown');

        subplot(8,2,8*2-aSig)
        plot(t,vVco,'k','linewidth',2);
        labelDphi()
        hold on; plot([1 1]*(pi-dphi)*180/pi,yL,'--k')
        set(gca,'xtick',[0:90:360],'fontsize',9);%'xticklabel',{'0','T/4','T/2','3T/4','T'}
        ylabel('\itv_{VCO}');
        if df < 0
            xlabel({'Signal angle \it\omega_{VCO}t\rm\times(180/\pi) [Deg]';
               '(a)'})
        else
            xlabel({'Signal angle \it\omega_{VCO}t\rm\times(180/\pi) [Deg]';
               '(b)'})
        end

        function labelDphi()
            hold on; plot([1 1]*(pi-dphi)*180/pi,yL,'--k');
            plot([1 1]*180,yL,'--k');
            set(gca,'ylim',[-.1 1.1],'xlim',[0 t(end)],'yticklabel','',...
                'xticklabel','','fontsize',9,'xtick',[0:90:360]);
            arrow([180,.5],[180-dphi*180/pi,.5],5)
            if df>0
                text(180-dphi*180/pi,.5,' \Delta\it\phi','fontsize',9)
            else

                text(180-dphi*180/pi,.5,'\Delta\it\phi ','fontsize',9,...
                    'horizontalalignment','right')
            end;
        end
    end;

end