function probSimpleRes

    w = 2e-6;
    L = 50e-6;
    h = 10e-6;
    d = 2e-6;
    N = 10;
    rhoSi = 2330;
    Ysi  = 160e9;
    e0 = 8.854e-12;
    vB = 0;
    v0 = 2000;
    Lspring = 50e-6;
    Q = 20;
    
    meq = rhoSi*w*h*(N*L+(N-1)*2*(w+d));
    keq = Ysi*h*(w/Lspring)^3;
    wo = sqrt(keq/meq);
    fo = 1/(2*pi)*wo;
    fprintf('meq = %e kg, keq = %f N, fo = %f kHz\n',meq, keq, fo*1e-3)
    tS = linspace(0,Q/fo,3000);
    v = vB+v0*cos(wo*tS/2);
    fe = 1/2*e0*h/d*v.^2;
    
    [t,x] = ode45(@SDF,tS,[0;0]);
    function yo = SDF(t,y)
        yo = zeros(2,1);
        yo(1) = y(2);
        ind = find(tS>=t,1);
        yo(2) = -wo^2*y(1)-wo/Q*y(2)+fe(ind)/meq;
    end;
    figure;
    axes('position',[.15,.6,.7,.3])
    ax = plotyy(t*1e6,x(:,1)*1e6,t*1e6,fe*1e6);
    set(ax,'fontsize',14)
    xlabel('Time \itt\rm [\mus]');
    set(get(ax(1),'ylabel'),'string','Displacement \itx\rm [\mum]','fontsize',14);
    set(get(ax(2),'ylabel'),'string','Force \itf\rm^e [\muN]','fontsize',14);
    title(['\it\omega\rm_o/(2\pi) = ' num2str(fo/1e3,'%.1f') ' kHz'])
    subplot(2,1,2);
    plot(fe*1e6,x(:,1)*1e6,'k')
    set(gca,'fontsize',14)
    
    xlabel('Force \itf\rm^e [\muN]')
    ylabel('Displacement \itx\rm [\mum]');

    
end