function [uMax,dc] = probSimpleResV2(p)
    shw = 0;
    if nargin < 1
        p = -1/sqrt(2)*0;
        shw = 1;
    end
    wo = 2*pi*10e3;
    meq = 1e-10;
    Q = 10;
    vB = 0;
    v0 = 100;
    e0 = 8.854e-12;
    h = 20e-6;
    d = 2e-6;

    tS = linspace(0,4*pi*Q/wo,5000);
    v = v0*(sign(cos(wo*tS)+p)+1)/2;
    fe = 1/2*e0*h/d*v.^2;
    
    [t,x] = ode45(@SDF,tS,[0;0]);
    function yo = SDF(t,y)
        yo = zeros(2,1);
        yo(1) = y(2);
        ind = find(tS>=t,1);
        yo(2) = -wo^2*y(1)-wo/Q*y(2)+fe(ind)/meq;
    end
    uMax = max(x(:,1))*1e6;
    dc = sum(fe)/length(fe)/max(fe)*100;
    if shw
        figure;
        axes('position',[.15,.15,.7,.7])
        ax = plotyy(t*1e3,x(:,1)*1e6,t*1e3,fe*1e6);
        set(ax,'fontsize',14)
        xlabel('Time \itt\rm [ms]');
         title(['\itx\rm_{max} = ' num2str(uMax,'%.1f') ' \mum',...
               ' for duty cycle = ' num2str(dc) ' %']);
        set(get(ax(1),'ylabel'),'string','Displacement \itx\rm [\mum]','fontsize',14);
        set(get(ax(2),'ylabel'),'string','Force \itf\rm^e [\muN]','fontsize',14);
    end
    
    
end