function thermalNoise

    k = 1.38e-23;
    T = 300; 
    R = 1e3;
    f = logspace(0,13,40);
    S = 4*k*T*R*ones(size(f));
    Df = 1;
    sig = sqrt(4*k*T*R*Df);
    
    figure
    loglog(f,S,'k','linewidth',4);
    axis tight
    grid on;
    set(gca,'FontSize',18,'xtick',logspace(1,13,7))
    xlabel('Frequency \itf\rm [Hz]');
    ylabel('PSD \itS_{\rmu}\rm(\itf\rm) [V/Hz]');

   
figure
x = linspace(-5*sig, 5*sig, 300);
y = pdf('normal',x,0,sig);
plot(x*1e9,y,'k','linewidth',3);
axis 'tight'
set(gca,'fontsize',18);
xlabel('\itv_n\rm/\Delta\itf\rm [nV/\surdHz]');
ylabel('Relative frequency -- pdf');
grid on;
title(['\it\fontname{Lucida Calligraphy}N\rm\fontname{Helvetica} (0, ' num2str(sig*1e9,'%.1f') ' nV/\surdHz)']);
figure
axes('position',[.15 .15 .6 .8]);
plot(randn(1000,1),'k');
set(gca,'fontsize',18,'xticklabel','','yticklabel','')
xlabel('Time \itt');
ylabel('Voltage \itv\rm(\itt\rm)')
grid on
yt = get(gca,'ytick');
yl = get(gca,'ylim');
axes('position',[.78 .15 .2 .8]);
x = -3:.01:3;
y = 1/sqrt(2*pi)*exp(-x.^2/2);
plot(y,x,'k','linewidth',2.5);
set(gca,'ylim',yl,'ytick',yt,'xticklabel','','yticklabel','');
grid on

return