function thermalNoiseCUP

    k = 1.38e-23;
    T = 300; 
    R = 1e3;
    f = logspace(0,13,40);
    S = 4*k*T*R*ones(size(f));
    Df = 1;
    sig = sqrt(4*k*T*R*Df);
    FS = 9;
    
    setFigure('ThermalNoise')
    axes('position',[.1,.2,.35,.75])
    loglog(f,S,'k','linewidth',4);
    axis tight
    grid on;
    set(gca,'FontSize',FS,'xtick',logspace(1,13,7))
    xlabel('Frequency \itf\rm [Hz]');
    ylabel('PSD \itS_{\rmu}\rm(\itf\rm) [V/Hz]');

   
% figure
% x = linspace(-5*sig, 5*sig, 300);
% y = pdf('normal',x,0,sig);
% plot(x*1e9,y,'k','linewidth',3);
% axis 'tight'
% set(gca,'fontsize',18);
% xlabel('\itv_n\rm/\Delta\itf\rm [nV/\surdHz]');
% ylabel('Relative frequency -- pdf');
% grid on;
% title(['\it\fontname{Lucida Calligraphy}N\rm\fontname{Helvetica} (0, ' num2str(sig*1e9,'%.1f') ' nV/\surdHz)']);
% figure

axes('position',[.5 .2 .3 .75]);
plot(randn(1000,1),'k');
set(gca,'fontsize',FS,'xticklabel','','yticklabel','')
xlabel('Time \itt');
ylabel('Voltage \itv\rm(\itt\rm)')
grid off
yt = get(gca,'ytick');
yl = get(gca,'ylim');
axes('position',[.82 .2 .15 .75]);
x = -3:.01:3;
y = 1/sqrt(2*pi)*exp(-x.^2/2);
plot(y,x,'k','linewidth',1);
set(gca,'ylim',yl,'ytick',yt,'xticklabel','','yticklabel','');
grid off
colormap('gray')
set(gcf,'paperposition',[1 1 6.5 3])
annotation('textbox',[.28 .02 .05 .05],'string','(a)','fontsize',FS,'edgecolor','none')
annotation('textbox',[.72 .02 .05 .05],'string','(b)','fontsize',FS,'edgecolor','none')
print -deps Fig_5p33
print -dtiff -r1200 Fig_5p33

return