function thermalNoise

    k = 1.38e-23;
    T = 300; 
    R = 1e3;
    f = logspace(0,13,40);
    St = 4*k*T*R*ones(size(f));
    Sf = 1./f*1e3*St(1);
    Df = 1;
    sig = sqrt(4*k*T*R*Df);
    
    figure
    loglog(f,St+Sf,'k','linewidth',4);
    axis tight
    grid on;
    set(gca,'FontSize',18,'xtick',logspace(1,13,7),'xticklabel','',...
         'ylim',[1e-17 1e-14],'yticklabel','')
    xlabel('Frequency \itf\rm [Hz]');
    ylabel({'One-sided noise PSD:';' \itS_{Thermal} \rm+ \itS_{1/f}'});

   
return