function thermalPlusPinkCUP

    k = 1.38e-23;
    T = 300; 
    R = 1e3;
    f = logspace(0,13,40);
    St = 4*k*T*R*ones(size(f));
    Sf = 1./f*1e3*St(1);
    Df = 1;
    sig = sqrt(4*k*T*R*Df);
    
    setFigure('Pink+thermal')
    loglog(f,St+Sf,'k','linewidth',2);
    axis tight
    grid on;
    set(gca,'FontSize',9,'xtick',logspace(1,13,7),'xticklabel','',...
         'ylim',[1e-17 1e-14],'yticklabel','')
    xlabel('Frequency \itf\rm [Hz]');
    ylabel({'One-sided noise PSD:';' \itS_{Thermal} \rm+ \itS_{1/f}'});
    colormap('gray')
    set(gcf,'paperposition',[1 1 3 3],'renderer','painters')
    xl = xlim();
    yl = ylim();
    
    text(xl(1)+.5*diff(xl)/1e11,yl(1)+diff(yl)/10,'Flicker','fontsize',9,'backgroundcolor','w')
    text(xl(1)+.5*diff(xl)/1e5,yl(1)+.15*diff(yl)/1e2,'Thermal','fontsize',9,'backgroundcolor','w')
    text(xl(1)+.5*diff(xl)/1e7,yl(1)+2*diff(yl)/1e2,{' Corner';' frequency'},'fontsize',9,'backgroundcolor','w')
    arrow([xl(1)+.5*diff(xl)/1e7,yl(1)+2*diff(yl)/1e2],...
          [xl(1)+.5*diff(xl)/1e9,yl(1)+.1*diff(yl)/1e2],8)
%     annotation('textbox',[.23 .58 .1 .05],'string','Flicker','fontsize',9,...
%         'edgecolor','none','backgroundcolor','w')
%     annotation('textbox',[.6 .18 .1 .05],'string','Thermal','fontsize',9,...
%         'edgecolor','none','backgroundcolor','w')    
    print -dtiff Fig_5p38
    print -deps Fig_5p38

   
return