function timeDomainModulation
    
    fo = 20e3;
    wo = 2*pi*fo;
    fm = 1e3;
    wm = 2*pi*fm;
     m = .3;
    
    t = linspace(0,2*pi/wm,1e3);
    figure(1); clf
    ax(1) = subplot(3,1,1);
    plot(t*1e3,cos(wm*t),'k','linewidth',2);
    set(gca,'fontsize',15,'yticklabel','');
    ylabel('\itx_m\rmcos(\it\omega_mt\rm)');
    grid on;
    ax(2) =subplot(3,1,2);
     plot(t*1e3,cos(wo*t),'k','linewidth',2);
     grid on;
    set(gca,'fontsize',15,'yticklabel','');
    ylabel('\itv_m\rm cos(\it\omega_et\rm)');
    ax(3) = subplot(3,1,3);
    plot(t*1e3,(1+m*cos(wm*t)).*cos(wo*t+pi),'k','linewidth',2);
    hold on;
    plot(t*1e3,1+m*cos(wm*t),'k--');
    set(gca,'fontsize',15,'yticklabel','');
    xlabel('Time \itt\rm [ms]');
    grid on;
    ylabel('[\itC_o\rm + \itC''_ox\rm]\itv_m/C_rcos(\it\omega_et\rm+\it\pi)');
    linkaxes(ax,'x');
    x  = (1+m*cos(wm*t)).*cos(wo*t+pi);
    ti = t;
    [t, z]  = ode23s(@(t,y) envDet(t,y,ti,x),ti,0);
    hold on;

     plot(t*1e3,z,'r')
    
return

function  dydt = envDet(t,y,ti,xi)

    x = interp1(ti,xi,t);
    Rd = 1;
    R = 1e3;
    C = 1e-7;
    if y<x
        dydt = (x-y)/(Rd*C);
    elseif y>=x
        dydt = -y/(R*C);
    end;
        

return