function timeDomainModulation1
    
    fo = 20e3;
    wo = 2*pi*fo;
    fm = 1e3;
    wm = 2*pi*fm;
     m = .3;
    FS = 9;
    set(0,'defaultaxesfontname','arial')
    t = linspace(0,2*pi/wm,1e3);
    figure(1); clf
    ax(1) = subplot(3,1,1);
    plot(t*1e3,cos(wm*t),'k','linewidth',1);
    text(1e3*max(t)*1.05,0,'(a)','fontsize',FS)
    set(gca,'fontsize',FS,'yticklabel','');
    ylabel('\itx_{\rmm}cos(\it\omega_{\rmm}\itt\rm)');
    grid off;
    ax(2) =subplot(3,1,2);
    plot(t*1e3,cos(wo*t),'k','linewidth',1);
    text(1e3*max(t)*1.05,0,'(b)','fontsize',FS)
    grid off;
    set(gca,'fontsize',FS,'yticklabel','');
    ylabel('\itv_{\rmm}\rm cos(\it\omega_{\rme}\itt\rm)');
    ax(3) = subplot(3,1,3);
    plot(t*1e3,(1+m*cos(wm*t)).*cos(wo*t+pi),'k','linewidth',1);
    hold on;
    plot(t*1e3,1+m*cos(wm*t),'k--');
    text(1e3*max(t)*1.05,0,'(c)','fontsize',FS)
    set(gca,'fontsize',FS,'yticklabel','');
    xlabel('Time \itt\rm [ms]');
    grid off;
    ylabel({'[\itC_{\rmo} + \itxdC/dx\rm]\times\itv_{\rmm}/\itC_{\rmr}';...
            '\rm\times\rmcos(\it\omega_{\rme}\itt+\pi)'});
    linkaxes(ax,'x');
    x  = (1+m*cos(wm*t)).*cos(wo*t+pi);
    ti = t;
    [t, z]  = ode23s(@(t,y) envDet(t,y,ti,x),ti,0);
%     hold off;
    colormap('gray')
    set(gcf,'paperposition',[1 1 4 4])
    print -deps Fig_5p16

%      plot(t*1e3,z,'r')
    
return

function  dydt = envDet(t,y,ti,xi)

    x = interp1(ti,xi,t);
    Rd = 1;
    R = 1e3;
    C = 1e-7;
    if y<x
        dydt = (x-y)/(Rd*C);
    elseif y>=x
        dydt = -y/(R*C);
    end;
        

return