function JonesExampleV2

    % theoretical derivation
    syms wo z t 
    xt = exp(-z*wo*t)*cos(wo*t*sqrt(1-z^2));
    pretty( simplify( laplace(xt) ) )
    FS = 18;
    z = [.5, 1, 1.5];
    wot = linspace(0,10,100);
    setFigure('Quick response');
    axes('position',[.11,.11,.85,.82]);hold on;
    lst = {'-','--',':','-.'};
    lg = cell(3,1);
    for i = 1:length(z)
        xt = exp(-z(i)*wot).*cos(wot*sqrt(1-z(i)^2));
        plot(wot,xt,'k','linestyle',lst{i},'linewidth',2);hold on;
        lg{i}= ['\it\zeta\rm = ' num2str(z(i))];
    end;
    set(gca,'fontsize',FS,'color',[1 1 1]*.85)
    legend(lg,'location','northeast')
    ylabel('Normalized displacement   \itx\rm(\itt\rm)/\itd');
    xlabel('\it\omega\rm_o\itt')
    set(gcf,'color',[1 1 1]*.85)
    text(wot(1),0,' Equilibrium\rightarrow','fontsize',FS-1)
    text(wot(1),1,' \leftarrow Displacement at contact','fontsize',FS-1)
    set(gca,'box','on')
%     plot(xlim,[1 1],'k:')
    plot([2,10],[0 0],'k:')
    set(gca,'color',[1 1 1]*.85);
    set(gcf,'color',[1 1 1]*.85);
end