function cantBeamAnalyt
    g = setGeometry;
    mp = setMatProp';
    x  = 0:.001:8;
    y  = 1+cos(x).*cosh(x);
    figure
    plot(x,y, 'k','linewidth',1.0)
    hold on
    plot(xlim,zeros(2,1),'k--')
    set(gca,'fontsize',9);
    xlabel('\it\betaL');
    ylabel('1+cos(\it\betaL\rm)cosh(\it\betaL\rm)')
    grid off
    betaL = [ 1.875, 4.694, 7.854];
    ylim([-50, 430])
    for i = 1:3
        f = 1/2/pi*betaL(i)^2/g.L^2*sqrt(mp.E*g.Ix/mp.rho/g.A)
        arrow([betaL(i)-.2,40],[betaL(i)-.01,0.01],8)
        text(betaL(i)-.2,50,num2str(betaL(i)),...
             'horizontalalignment','right','fontsize',9)
    end;
    colormap('gray')
    set(gcf,'paperposition',[1 1 4 3])
    print -deps Fig_6p19
    print -dtiff -r1200 Fig_6p19

return
function g = setGeometry

    g.L = 40e-6; % length in m
    g.h =  2e-6;  % height in m
    g.w =  4e-6;   % width in m
    g.A = g.w*g.h;
    g.Ix = g.h^3*g.w/12;  % prismatic beam

return

function mp = setMatProp

    mp.rho = 2330; % kg/m^3
    mp.E = 150e9;  % GPa

return
