function circPlateCartoon

    N = 20;
    FS = 18;
    q = linspace(0,2*pi,2*N);
    r = linspace(0,1,N);
    setFigure('circPlate')
    [rG, qG] = meshgrid(r,q);
    
    z = 1-rG.^2;
%     z = .2+-rG.^4 + .8*rG.^2;
    surf(rG.*cos(qG), rG.*sin(qG), -z,'facealpha',1,'edgecolor','none');
    hold on;
   
    colormap('gray')
    set(gca,'zlim',[-5 0],'clim',[-1.2*max(z(rG==0)) 0])
   
    arrow([0,0,0],[0,0,-max(z(rG==0))],10)
    text(0,0,-.5,'  \itu_z\rm(\itr\rm)','fontsize',FS)
    addLabels(FS)
    plot3([-1,1],[0,0],[0,0],'--k');
     surf(rG.*cos(qG), rG.*sin(qG), -2*ones(size(rG)),'facecolor','none',...
         'facecolor',[1 1 1]*.8);
    axis off
    view(0,0)
    
        
return

function addLabels(FS)
    arrow([0,0,-1],[0,0,-2],10);
    text(0,0,-1.5,'  \itd\rm(\itr\rm)','fontsize',FS);
    arrow([-1,0,0],[-1,0,-2],10);
    arrow([-1,0,-2],[-1,0,0],10);
    text(-1,0,-1,'  \itd_o','fontsize',FS)
return