function circPlateMesh( flag )
    if nargin < 1  % run with creatFig_6p30
        flag = 0;
    end;
    N = 8;
    r0 = linspace(0,1,N);
    r = 0:.01:1;
    q0 = linspace(0,2*pi-2*pi/(2*N),2*N);
    q = [0:.01:1]*2*pi;
    if flag ==0
        patch([r0(5)*cos(q), r0(6)*cos(fliplr(q))],...
          [r0(5)*sin(q), r0(6)*sin(fliplr(q))],...
          [1 1 1]*0,'edgecolor','k');hold on;
    end

    for i = 1:N
        plot(r0(i)*cos(q),r0(i)*sin(q),'k');
        hold on;
        if flag
            plot(r*cos(q0(i)),r*sin(q0(i)),'k');
            plot(r*cos(q0(N+i)),r*sin(q0(N+i)),'k');
        end
        
    end;
%     if flag
%         patch([r0(5)*cos(q), r0(6)*cos(fliplr(q))],...
%               [r0(5)*sin(q), r0(6)*sin(fliplr(q))],...
%               [1 1 1]*.9,'edgecolor','none');hold on;
%     end
    axis square
    axis off
    arrow([0,0],[1.3,0],8)
    if flag
        arrow([cos(q(10)),sin(q(10))],...
              [cos(q(12)),1.*sin(q(12))],8);
        text(cos(q(11)),sin(q(11)),'\it\theta','fontsize',9,...
        'verticalalignment','bottom')
    end
    
    text(1.2, 0,'  \itr','fontsize',9,'verticalalignment','top',...
        'horizontalalignment','left')
    text(1,0,'\itr_{\rm a}','fontsize',9,'verticalalignment','top');

    if flag
        text(0,-1.2,'(a)','fontsize',9,'horizontalalignment','center')
    else
        text(0,-1.2,'(b)','fontsize',9,'horizontalalignment','center')
    end
    axis equal
    
        

return

