function circPlateMesh_CUP

    N = 6;
    r0 = linspace(0,1,N);
    r = 0:.01:1;
    q0 = linspace(0,2*pi-2*pi/(2*N),2*N);
    q = [0:.01:1]*2*pi;
    figure('color',[1 1 1]);
    ind = 3;
        patch([r0(ind)*cos(q), r0(ind+1)*cos(fliplr(q))],...
          [r0(ind)*sin(q), r0(ind+1)*sin(fliplr(q))],...
          [1 1 1]*.8,'edgecolor','k');hold on;

    for i = 1:N
        plot(r0(i)*cos(q),r0(i)*sin(q),'k');
        hold on;
        
%         plot(r*cos(q0(i)),r*sin(q0(i)),'k');
%         plot(r*cos(q0(N+i)),r*sin(q0(N+i)),'k');
        
    end;
    for i = 2:N
        text(mean(r0(i-1:i)),0,['\itr_' num2str(i-1)],...
             'fontsize',9,'horizontalalignment','center',...
             'verticalalignment','top');
        plot(mean(r0(i-1:i))*[1 1],[-1 1]*.02,'k');
    end
    arrow([mean(r0(ind-1:ind))*cos(pi/6),...
           mean(r0(ind-1:ind))*sin(pi/6)],...
          [r0(ind)*cos(pi/6),r0(ind)*sin(pi/6)],8);
    arrow([mean(r0(ind+1:ind+2))*cos(pi/6),...
           mean(r0(ind+1:ind+2))*sin(pi/6)],...
          [r0(ind+1)*cos(pi/6),r0(ind+1)*sin(pi/6)],8);
    text(mean(r0(ind:ind+1))*cos(pi/6),...
           mean(r0(ind:ind+1))*sin(pi/6),'\Delta\it_r',...
           'fontsize',9,...
           'horizontalalignment','center','verticalalignment','middle');
%     patch([r0(5)*cos(q), r0(6)*cos(fliplr(q))],...
%           [r0(5)*sin(q), r0(6)*sin(fliplr(q))],...
%           [1 1 1]*.9,'edgecolor','none');hold on;
    plot(mean(r0(ind:ind+1))*cos(75*pi/180),...
           mean(r0(ind:ind+1))*sin(75*pi/180),'.k','markersize',7);
    text(1.1*cos(pi/3),1.1*sin(pi/3),'\Delta\itA\rm_3 \approx 2\it\pir\rm_3\rm\Delta\it_r',...
         'fontsize',9);
    plot([mean(r0(ind:ind+1))*cos(75*pi/180),1.1*cos(pi/3)],...
         [mean(r0(ind:ind+1))*sin(75*pi/180),1.1*sin(pi/3)],'k');
    axis square
    axis off
    arrow([0,0],[1.3,0],8)
%     arrow([cos(q(10)),sin(q(10))],...
%           [cos(q(12)),1.*sin(q(12))],20);
    text(1.1, 0,'  \itr','fontsize',9,'verticalalignment','top',...
        'horizontalalignment','left')
    text(1,0,'\itr_a','fontsize',9,'verticalalignment','top');
%     text(cos(q(11)),sin(q(11)),'\it\theta','fontsize',20,...
%         'verticalalignment','bottom')
    text(0,-1.3,'(b)','fontsize',9,'horizontalalignment','center')
    axis equal
    colormap('gray')
    set(gcf,'paperposition',[4 1 3 3])
    print -deps Fig_6p31_b
    print -dtiff -r1200 Fig_6p31_b
 
        

return

