function circPlateTheoreticalModes
    
    global m
    m = 1;
   ba = linspace(0,12,500);
    xo = fzero(@CE,5);
    subplot(2,1,1)
    plot(ba,CE(ba),xo,0,'o');
    set(gca,'fontsize',16)
    title(['Mode \itm\rm = ' num2str(m) ';  \it\betar_a\rm = ',...
          num2str(xo) ' = ' num2str(xo/pi) '\pi'])
    fprintf('\tmode = %d\t beta = %f\t beta^2 = %f\n',m,xo,xo^2)
    subplot(2,1,2);
    [r,q,w] = modeShape(m,xo) ;
    surf(r.*cos(q),r.*sin(q),w)
    colormap('gray') 
    for i = 1%repmat([-1:.1:1,1:-.1:-1],1,10)
        surf(r.*cos(q),r.*sin(q),i*w)
        set(gca,'zlim',[-.1  1.1],'fontsize',16)
        title(['$\omega_{11} = \(\frac{' num2str(xo/pi),...
                 '\pi}{r_a}\)^2\sqrt{\frac{D}{\rho\pi\r_a^2}$'],...
                 'fontsize',18,'interpreter','latex')
        drawnow
    end;

return

function out = CE(x)

%     global m
    out = besseli(1,x).*besselj(0,x)+besselj(1,x).*besseli(0,x);
    
return

function [r,q,w] = modeShape(m, beta0a)

    [r,q] = meshgrid(linspace(0,1,50),linspace(0,2*pi,40));
    w = besseli(0,beta0a).*besselj(0,beta0a*r)-besselj(0,beta0a).*besseli(0,beta0a*r);
   w = w/abs(max(max(w)));

return