function doublyBeamAnalyt
    g = setGeometry;
    mp = setMatProp';
    x  = 0:.001:11;
    y  = 1-cos(x).*cosh(x);
    figure
    plot(x,y,'k','linewidth',2)
    set(gca,'fontsize',18,'ylim',[-50 50]);
    xlabel('\it\betaL');
    ylabel('1-cos(\it\betaL\rm)cosh(\it\betaL\rm)')
    grid on
    betaL = [ 4.73, 7.853, 10.996];
    
    for i = 1:3
        f = 1/2/pi*betaL(i)^2/g.L^2*sqrt(mp.E*g.Ix/mp.rho/g.A)
    end;

return
function g = setGeometry

    g.L = 40e-6; % length in m
    g.h =  2e-6;  % height in m
    g.w =  4e-6;   % width in m
    g.A = g.w*g.h;
    g.Ix = g.h^3*g.w/12;  % prismatic beam

return

function mp = setMatProp

    mp.rho = 2330; % kg/m^3
    mp.E = 150e9;  % GPa

return
