function firstBeamExample

n = 4;
% - beam geometry --------------------------
L = 100e-6;   %um, length
w = 4e-6;       % um, width
h = 2e-6;        % um, height 
% - Si material properties ------------------
Y = 169e9;   % Pa
rho = 2330;  % kg
% - calculations -------------------------------
I = h^3*w/12;   % area moment
a = zeros(n,n)
s = L^3/(6*n^3*Y*I)  % scale factor
for i  = 1:n
    for j = 1:i
       a(i,j) = s*(3.*(i)*(j)^2-(j)^3);
       a(j,i) = a(i,j)
   end
end
m = L*w*h*rho/n*eye(n)  % mass matrix
k = inv(a)                                % stiffness matrix

return