function gyroBeam

    fs = 16;
    load freeBeamModeShape
    L = length(msh);
    x = [-1*ones(1,L), ones(1,L)];
    y = [linspace(-1,1,L),linspace(1,-1,L)];
    z = [msh, msh];
    setFigure('Gyro Beam');
    set(gca,'position',[0 0 1 1]); hold on;
    axis off
    set(gcf,'color',[1 1 1],'renderer','zbuffer');
    view(126,26);
    view(162,58);
    set(gca,'xlim',[-5.1,5.1],'ylim',[-1. 1.1],'zlim',[-3.1 3.1]);
    asz = 10;
    arrow([0,-1,0],[0,1,0],asz);
    arrow([0,1.1,0],[0,1.3,0],asz);
    text(0,.9,0.3,'\itx','fontsize',fs);
    text(0,1.2,0.3,'\it\bf\Omega\rm = \it\Omega\rm_x\it\bfi\rm_x','fontsize',fs)
    arrow([5,0,0],[-5.5,0,0],asz);
    text(-5.5,0,0,' \ity','fontsize',fs);
    text(0,0,3,'  \itz\rm','fontsize',fs);
    arrow([0,0,-3],[0,0,3],asz);
    yArrow = linspace(-1,1,20);
    mshi = interp1(1:L,msh,linspace(1,L,20));
    for i = 1:length(yArrow)
        if mshi(i)<0
            a=arrow([1,yArrow(i),mshi(i)],...
                  [1-1.5*mshi(i),yArrow(i),mshi(i)],...
                  asz-5);
        else
            a=arrow([-1,yArrow(i),mshi(i)],...
                  [-1-1.5*mshi(i),yArrow(i),mshi(i)],...
                  asz-5);
        end
          set(a,'facecolor', [1 1 1]*.5);
    end;
    text(-3*mshi(end),yArrow(end),mshi(end)-.5,'\it\bff\rm_{Coriolis}',...
        'fontsize',fs)
    hold on;
    yC = .5;
    plot3([-1,-1.5],[1 1]*yC,[0 0],'k','linewidth',5); 
    plot3([-1,-1.5],-[1 1]*yC,[0 0],'k','linewidth',5); 
    plot3([1,1.5],[1 1]*yC,[0 0],'k','linewidth',5); 
    plot3([1,1.5],-[1 1]*yC,[0 0],'k','linewidth',5); 

    axis 'tight'
    
           
    % Coriolis
%     patch([.2*msh+1, .2*msh-1],y,.2*ones(1,2*L), [1 1 1],'linestyle','--');
%     patch([.2*msh+1, .2*msh-1],y,zeros(1,2*L), [1 1 1],'linestyle','--');

    % Drive
    patch(x,y,z, [1 1 1]*.8);
    patch(ones(1,2*L),y,[msh,msh-.2],[1 1 1]*.6);
    
    patch([-1,1,1,-1],ones(1,4),msh(end)+[-.2 -.2 0 0],[1 1 1]*.6);
    hold on;plot3(zeros(L,1),linspace(-1,1,L),msh,'--','linewidth',1,...
        'color',[1 1 1]*.3);
%     patch(x,y,z-.2, [1 1 1]*.8);
    print -dpng gyroBeam

end