function uMax = iterateFeProb7p3

     g = setGeometry;
    mp = setMatProp;
     n = 20; % discretization level (mesh)
     v = 7;
     % compute mass matrix
     M = eye(n)*mp.rho*g.L*g.h*g.w/n;
     % compute the flexibilit matrix A (A = inv(K))
     A = zeros(n,n);
     for j = 1:n
         for i = 1:n
             if i>= j 
                A(i,j) = g.L^3/(6*mp.E*g.Ix*n^3)*(3*i*j^2-j^3);
             else
                 A(i,j) = A(j,i);
             end;
         end;
     end;    
     f = zeros(n,1);
     u = zeros(n,1);
     for i = 1:10
         for j = 1:n
             if j/n >= (g.L-g.g)/g.L
                f(j) = 1/2*mp.eps0*g.L/n*g.w/(g.d-u(j))^2*v^2; 
             end;
         end;
         u = A*f;
         uMax(i)= u(end);
     end;        
     figure
     plot(diff(uMax)*1e6,'marker','o','color','k','linewidth',2)
     set(gca,'fontsize',16)
     ylabel('\itu_{Max}\rm(\itk\rm+1) -\itu_{Max}\rm(\itk\rm)');
     grid
     xlabel('\itk')

return
function g = setGeometry

     g.L = 300e-6; % length in m
     g.h =  2e-6;  % height in m
     g.w =  10e-6;   % width in m
    g.Ix = g.h^3*g.w/12;  % prismatic beam
     g.g = g.L/5;
     g.d = 2e-6;

return

function mp = setMatProp

    mp.rho = 2330; % kg/m^3
    mp.E = 150e9;  % GPa
    mp.eps0 = 8.854e-12; 

return