function iterateFeProb7p5

     g = setGeometry;
    mp = setMatProp;
     n = 20; % discretization level (mesh)
     v = 5;
     
     % compute mass matrix
     M = eye(n)*mp.rho*g.L*g.h*g.w/n;
     % compute the flexibilit matrix A (A = inv(K))
     A = zeros(n,n);
     for j = 1:n
         for i = 1:n
             if i>= j 
                A(i,j) = g.L^3/(6*mp.E*g.Ix*n^3)*(3*i*j^2-j^3);
             else
                 A(i,j) = A(j,i);
             end;
         end;
     end;    
     setFigure('Static force');
     Vs = [5,6,7,7.3,7.4,7.5];
     f = zeros(n,1);
     u = zeros(n,1);
     leg = [];
     NoOfIters = 20;
     for k = 1:length(Vs)
         u = zeros(n,1)
         for i = 1:NoOfIters
             for j = 1:n
                 if j/n >= (g.L-g.g)/g.L
                    f(j) = 1/2*mp.eps0*g.L/n*g.w/(g.d-u(j))^2*Vs(k)^2; 
                 end;
             end;
             u = A*f;
             uMax(k,i) = u(end);
         end;   
         leg = [leg, {['\itV\rm = ' num2str(Vs(k))]}]
     end;
     Du = diff(uMax')';
     semilogy(1:NoOfIters-1,Du*1e6,'o-','linewidth',2)
     grid on
     set(gca,'fontsize',16, 'ylim',[0, .5]);
     xlabel('\itk\rm');
     ylabel('\itu_{max}\rm(\itk\rm+1)-\itu_{max}\rm(\itk\rm) [\mum]');
     legend( leg,'location','best' )
  
return
function g = setGeometry

     g.L = 300e-6; % length in m
     g.h =  2e-6;  % height in m
     g.w =  10e-6;   % width in m
    g.Ix = g.h^3*g.w/12;  % prismatic beam
     g.g = g.L/5;
     g.d = 2e-6;

return

function mp = setMatProp

    mp.rho = 2330; % kg/m^3
    mp.E = 150e9;  % GPa
    mp.eps0 = 8.854e-12; 

return