function iterateFe_CUP

     g = setGeometry;
    mp = setMatProp;
     n = 20; % discretization level (mesh)
     v = 7;
     
     % compute mass matrix
     M = eye(n)*mp.rho*g.L*g.h*g.w/n;
     % compute the flexibilit matrix A (A = inv(K))
     A = zeros(n,n);
     for j = 1:n
         for i = 1:n
             if i>= j 
                A(i,j) = g.L^3/(6*mp.E*g.Ix*n^3)*(3*i*j^2-j^3);
             else
                 A(i,j) = A(j,i);
             end;
         end;
     end;    
     setFigure('Static force');
     f = zeros(n,1);
     u = zeros(n,1);
     mrk = 'sox';
%      ax(1) = axes('position',[.15 .15 .65 .75],'fontsize',18);
     ax(1) = axes('position',[.15 .12 .75 .38],'fontsize',9);

             ylabel('Displacement \itu_z\rm [\mum]');
             xlabel('Normalized displacement \itx/L\rm')
             hold on;
%      ax(2) = axes('position', get(ax(1),'position'),'color','none',...
%                'yaxislocation','right','ycolor',[1 1 1]*.5,'xticklabe','',...
%                'fontsize',18);
     ax(2) = axes('position',[.15 .58 .75 .38],'fontsize',9);

             hold on;
             ylabel('Force \itf^{ e}\rm [nN]')

     for i = 1:3
         for j = 1:n
             if j/n >= (g.L-g.g)/g.L
                f(j) = 1/2*mp.eps0*g.L/n*g.w/(g.d-u(j))^2*v^2; 
             end;
         end;
         u = A*f;
             axes(ax(1));
             plot([1:n]/n,u*1e6,'k','linewidth',.7,'marker',mrk(i),'markersize',5);
             axes(ax(2));
             stem([1:n]/n,f*1e9,'color',[1 1 1]*0,'marker',mrk(i),'markersize',5,'linewidth',.7);
     
     end;   
     keff = 3*mp.E*g.Ix/(g.L-g.g)^3;
     feff = 1/2*mp.eps0*g.w*(g.g)/g.d^2*(4*g.L-g.g)/4/(g.L-g.g)*v^2
     ueff = feff/keff;
     
     
     
     
     axes(ax(1))
     plot((g.L-g.g)/g.L, 1e6*ueff,'p','markerfacecolor',[1 1 1]*.5,'color','k','linewidth',1);
          legend('\itu^{\rm(1)}','\itu^{\rm(2)}','\itu^{\rm(3)}','Eq. (6.13)','location','northwest');
     grid off
     ylim(ax(2),[-1,15])

     axes(ax(2));
%      stem((g.L-g.g)/g.L, 1e9*feff,'filled','marker','^','color','k','linewidth',2);
     legend('\itf^{ e\rm(1)}','\itf^{ e\rm(2)}','\itf^{ e\rm(3)}','location','northwest');
     colormap('gray')
     set(gcf,'paperposition',[1 1 5 3])
     print -deps Fig_6p16
     print -dtiff -r1200 Fig_6p16
     
     


return
function g = setGeometry

     g.L = 300e-6; % length in m
     g.h =  2e-6;  % height in m
     g.w =  10e-6;   % width in m
    g.Ix = g.h^3*g.w/12;  % prismatic beam
     g.g = g.L/5;
     g.d = 2e-6;

return

function mp = setMatProp

    mp.rho = 2330; % kg/m^3
    mp.E = 150e9;  % GPa
    mp.eps0 = 8.854e-12; 

return