function probFreqResp

    % -- dimensions
    L = 120e-6;
    h = 3e-6;
    w = 7e-6;
    % -- mat prop
    rho = 2330;
    E = 150e9;
    
    m = rho*L*w*h;
    k = E*w*(h/L)^3/4;
    b = m*2*sqrt(k/m)*.05;
    %--freq;
    f = linspace(0,1.2*sqrt(k/m)/2/pi,500);
    H = 1./(-(2*pi*f).^2*m+j*2*pi*f*b + k);
    figure;
    plot(f/1e3,abs(H),'k','linewidth',2)
    set(gca,'fontsize',16);
    xlabel('Frequency \itf\rm [kHz]')
    grid
    ylabel('Magnitude response |\itH_{x/f}\rm (\itf\rm)|')
    
    

return