function simplyHeldBeamMDFk

    global keff geff
    keff = 1e5;
    geff = .1;
    [v,w] = getMDF()
    visModal(w, v,n)
    
     % compute the flexibilit matrix A (A = inv(K))
    function [v,w] = getMDF()
         g = setGeometry;
        mp = setMatProp;
 

         n = 220; % discretization level (mesh)
         M = eye(n+1)*mp.rho*g.L*g.h*g.w/(n+1);
         A = NaN*ones(n,n);
         for i = 0:n
             if i < round(g.g/g.L*n)
                 c = getCoeff1( i/n );
             else
                 c = getCoeff2( i/n );
             end;
             fR2m = (i/n*g.L-g.g)/(g.L-2*g.g); 
             for j = 0:n
                 if i <= j                
                     if i<= round(g.g/g.L*n)                  
                        if j <= round(g.g/g.L*n)
                            A(i+1,j+1) = (g.L/n)^3/(6*mp.Y*g.Ix)...
                                     *j^2*(j-3*(i-1))+c(3)+c(4)*(j/n)*g.L;
    %                         fprintf('i = %d, j = %d, A(i,j) = %f',i,j,A(i,j))
                        elseif round(g.g/g.L*n)< j && j < round((g.L-g.g)/g.L*n)
                            A(i+1,j+1) = -fR2m*(j/n*g.L)^2/(6*mp.Y*g.Ix)...
                                     *(3*(g.L-g.g)-j/n*g.L)+c(5)+c(6)*j/n*g.L;
                            fprintf('i = %d, j = %d, A(i,j) = %e\n',i,j,A(i+1,j+1))
                        elseif round((g.L-g.g)/g.L*n)<= j 
                            A(i+1,j+1) = c(7)+c(8)*j/n*g.L;
                        end;
                     elseif round(g.g/g.L*n)<= i && i < round((g.L-g.g)/g.L*n)
                         if j <= round((g.L-g.g)/g.L*n)
                            A(i+1,j+1) = -fR2m*(j/n*g.L)^2/(6*mp.Y*g.Ix)...
                                     *(3*(g.L-g.g)-j/n*g.L)+c(5)+c(6)*j/n*g.L;
                         else
                             A(i+1,j+1) = c(7)+c(8)*j/n*g.L;
                         end;
                     else
                         A(i+1,j+1) = A(n+1-i, n+1-j);
                     end;
                 else
                     A(i+1,j+1) = A(j+1,i+1);
                 end;
             end;
         end;     
         % solution: Modal analysis

         [v,w] = eig(A*M);
    end;

     

end

function g = setGeometry

    global geff

    g.L = 40e-6; % length in m
    g.h =  2e-6;  % height in m
    g.w =  4e-6;   % width in m
    g.Ix = g.h^3*g.w/12;  % prismatic beam
    g.g = geff*g.L; % .1*g.L; .22*g.L
    

end

function mp = setMatProp

    global keff
    mp.rho = 2330; % kg/m^3
    mp.Y = 150e9;  % GPa
    mp.k = keff;  %1e5; 1e-5;

end

function c = getCoeff1(ipn)

      mp = setMatProp;
       g = setGeometry;
      mp = setMatProp;
      xo = ipn*g.L;
    fR1m = (g.L-g.g-xo)/(g.L-2*g.g);  % fR1 = fR1m*f
    fR2m = (xo-g.g)/(g.L-2*g.g);      % fR2 = fR2m*f
     % the boundary condition equations
leftHside = [1 xo -1 -xo 0 0 0 0;...
             0 1 0 -1 0 0 0 0;...
             0 0 1 g.g -1 -g.g 0 0;...
             0 0 0 1 0 -1 0 0;...
             0 0 0 0 1 g.L-g.g -1 -g.L+g.g;...
             0 0 0 0 0 1 0 -1;...
             0 0 1 g.g 0 0 0 0;
             0 0 0 0 0  0 1 g.L-g.g];
rightHside = [-xo^3/(3*mp.Y*g.Ix);...
              -xo^2/(2*mp.Y*g.Ix); ...
              -g.g^2*((g.g-3*xo)+fR2m*(3*g.L-4*g.g))/(6*mp.Y*g.Ix);...
              -g.g*((g.g-2*xo)-fR2m*(3*g.g-2*g.L))/(2*mp.Y*g.Ix);...
               fR2m*(g.L-g.g)^3/(3*mp.Y*g.Ix);...
               fR2m*(g.L-g.g)^2/(2*mp.Y*g.Ix);...
               -g.g^2*(g.g-3*xo)/(6*mp.Y*g.Ix) + fR1m/mp.k;...
               fR2m/mp.k];
     c = leftHside\rightHside;

end

function c = getCoeff2(ipn)
      
      mp = setMatProp;
       g = setGeometry;
      mp = setMatProp;
      xo = ipn*g.L;
    fR1m = (g.L-g.g-xo)/(g.L-2*g.g);  % fR1 = fR1m*f
    fR2m = (xo-g.g)/(g.L-2*g.g);      % fR2 = fR2m*f
     % the boundary condition equations
leftHside = [1 g.g -1 -g.g 0 0 0 0;...
             0 1 0 -1 0 0 0 0;...
             0 0 1 xo -1 -xo 0 0;...
             0 0 0 1 0 -1 0 0;...
             0 0 0 0 1 g.L-g.g -1 -g.L+g.g;...
             0 0 0 0 0 1 0 -1;...
             1 g.g 0 0 0 0 0 0;
             0 0 0 0 0 0 1 g.L-g.g];
rightHside = [fR1m*g.g^3/(3*mp.Y*g.Ix);...
              fR1m*g.g^2/(2*mp.Y*g.Ix); ...
             -xo^2*(fR1m*(3*g.g-xo)-fR2m*(3*g.g-3*g.L+xo))/(6*mp.Y*g.Ix);...
             -xo*(fR1m*(2*g.g-xo)+fR2m*(2*g.L-xo-2*g.g))/(2*mp.Y*g.Ix);...
              fR2m*(g.L-g.g)^3/(3*mp.Y*g.Ix);...
              fR2m*(g.L-g.g)^2/(2*mp.Y*g.Ix);...
              fR1m/mp.k;...
              fR2m/mp.k];
     c = leftHside\rightHside;

end
      
function visModal(w, v,n)
  
%     fh = findobj('name','MDF modes');
%     if isempty(fh)
%         figure('units','normalized','position',[.2 .05 .4 .85],'name','MDF modes');
%     else
% %         figure(fh)
%         clf;
%     end;
    g = setGeometry;
    for i = 1:3     
         subplot(3,1,i)
         set(gca,'fontsize',9,'ylim',[-1 1]*1.1); hold on;
         phi = v(:,end-i+1)/max(abs(v(:,end-i+1)));
         patch([(0:n)/n,(n:-1:0)/n],...
               [phi', fliplr(-phi')],...
               [1 1 1]*.8);
         plot((0:n)/n,phi,...
             '-k','linewidth',1.5,'markerfacecolor','k');
         plot((0:n)/n,-phi,...
             '-k','linewidth',1.5,'markerfacecolor','k');
         hold on;
         plot(g.g/g.L*[1 1],[-1 1],'k--','linewidth',1.5);
         plot((g.L-g.g)/g.L*[1 1],[-1 1],'k--','linewidth',1.5);
%          grid on;
         ylabel(['\itf\rm_{' num2str(i) '} = ' ...
                 num2str(1e-6/sqrt(w(end-i+1))/2/pi,'%.2f') ' MHz']);
         if i == 1
%              title(['Number of elements \itn\rm = ' num2str(n)])
         end
     end;
     xlabel('Normalized length \itx/L');
     
end