function a = visMode_CUP( freq_kHz, v, n1, n2, k )

%     figure
    [r,phi] = meshgrid(linspace(0,1,n1),linspace(-pi,pi,n2));
    uF = v(:,k+1)/max(abs(v(:,k+1)));
%     uF = F(1);
    a = surfl(r.*cos(phi), r.*sin(phi), reshape(uF,n1,n2));
    set(a,'edgecolor',[1 1 1]*.4)
    set(a,'edgecolor','none')
    colormap('gray');
    set(gca,'fontsize',9,'zlim',[-1 1])
    set(gcf,'color','w');
    axis off
    text(0,0,1.4,['\itf\rm_' num2str(k) ' = ' ,...
        num2str(freq_kHz(k+1),'%.2f') ' kHz'],...
        'horizontalalignment','center');

return