clear all; close all

n = 2;
p = .3;
zeta = [.1,.2,.5,1];
m = ones(n,1); k = ones(n,1); f = zeros(n,1);
w = ones(n,1);
b = repmat(2*zeta,n,1);
Np2_GL = b;
for i = 2:n
    m(i) = 1+p*(i-1);
    k(i) = (1+p*(i-1))^3;
    w(i) = sqrt(k(i)/m(i));   
    f(i) = m(i);  % normalized with respect to acceleration
end
wr  = linspace(.01,2*w(end),200);
ls = {'-',':','--','-.'};
FS = 14;
leg = cell(length(zeta),1);
for i = 1:length(zeta)
    P = zeros(1,length(wr));
    for j = 1:length(wr)
        Zmat = Np2_GL(i)*ones(n,n);
        for ifor = 1:n
            Zmat(ifor,ifor) = 1i*wr(j)*m(ifor)+b(ifor,i)+k(ifor)./(1i*wr(j));
        end;
        jwx  = sum(Zmat\f);
        P(j) = 1/2*abs(jwx)^2*Np2_GL(i);
    end;
    plot(wr,P,'k','linestyle',ls{i});
    hold on;
    leg{i} = ['\it\zeta\rm = ' num2str(zeta(i))];
end
set(gca,'fontsize',FS)
legend(leg,'location','best')
hold off
xlabel('Normalized frequency \it\omega/\omega\rm_1');
ylabel('Normalized power \itP\rm_e/(\itm\rm_1|\ita\rm|^2/\it\omega\rm_1)')
axis('tight')
ax = findobj('parent',gcf,'type','axes');
set(ax,'color',[1 1 1]*.85);
set(gcf,'color',[1 1 1]*.85);