function TwoRes
m1 = 1;               k1 = 1;
m2 = 1.3;             k2 = (1.3)^3;
w  = linspace(0,2*sqrt(k2/m2),200);
zeta = [.1,.2,.5,1];
b1 = 2*zeta;    b2 = b1; Np2_GL = b1/2;

f1 = m1;              f2 = m2;
ls = {'-',':','--','-.'};
FS = 18;
leg = cell(4,1);
setFigure('2-res')
for i = 1:length(b1)
    Z1 = 1i*w*m1+b1(i)+k1./(1i*w);
    Z2 = 1i*w*m2+b2(i)+k2./(1i*w);
    sumI = (Z1.*f2+Z2.*f1)...
         ./(Z1.*Z2+(Z1+Z2)*Np2_GL(i));
    P = 0.5*abs(sumI).^2*Np2_GL(i);
    plot(w,P,'k','linestyle',ls{i});
    hold on;
    leg{i} = ['\it\zeta\rm = ' num2str(zeta(i))];
end
set(gca,'fontsize',FS)
legend(leg,'location','best')
hold off
xlabel('Normalized frequency \it\omega/\omega\rm_1');
ylabel('Normalized power \itP\rm_e/(\itm\rm_1|\ita\rm|^2/\it\omega\rm_1)')
axis('tight')
ax = findobj('parent',gcf,'type','axes');
% set(ax,'color',[1 1 1]*.85);
% set(gcf,'color',[1 1 1]*.85);
end