function computeBowLcup

    % geometry:
         w = 2e-6;      % [m]
         L = [1:3]*1e-4;% [m]
       hSi = 10e-6;     % [m]
     hSiO2 = .25e-6;    % [m] 
    % material properties
      E_Si = 168e9;     % [Pa] Young modulus of Si
    E_SiO2 = 70e9;      % [Pa] Young modulus of SiO2
   alphaSi = 2.6e-6;    % [1/K] linear temp. coeff. of thermal expansion
 alphaSiO2 = .5e-6;     % [1/K]
    % temperature 
        To = 200;           % [oC] CVD temperature
        T1 = 27;   % [oC] operating temperature 
    % computed parameters
         h = hSi + hSiO2;
      I_Si = w*hSi^3/12;
    I_SiO2 = w*hSiO2^3/12;
     % parametric plots
        lw = [8,4,2];
        DT = T1-To;
        
     kappa = 6*(alphaSi-alphaSiO2)*DT...
            /(h/2+2*(E_Si*I_Si+E_SiO2*I_SiO2)/h/w*(1/(E_Si*hSi)+1/(E_SiO2*hSiO2)));

     for i = 1:length(L)
        x  = linspace(0,L(i),100);
        u  = kappa/2.*x.^2;
        size(x), size(u)
             plot(x*1e6,u*1e6,'k','linewidth',lw(i)); hold on;
     end;
        set(gca,'fontsize',9,'ylim',[-.6 .05],'color',.85*[1 1 1]);
        set(gcf,'color',[1 1 1]*.85);
        xlabel({'\itx\rm [\mum]';'';'(b)'})
        ylabel('Displacement \itu_y\rm [\mum]');
        grid off
        a = legend('\itL\rm = 100 \mum','\itL\rm = 200 \mum', ...
                   '\itL\rm = 300 \mum','location','best');
         

return