function computeBow

    % geometry:
         w = 2e-6;      % [m]
         L = 200e-6;    % [m]
       hSi = 10e-6;     % [m]
     hSiO2 = .25e-6;    % [m] 
    % material properties
      E_Si = 168e9;     % [Pa] Young modulus of Si
    E_SiO2 = 70e9;      % [Pa] Young modulus of SiO2
   alphaSi = 2.6e-6;    % [1/K] linear temp. coeff. of thermal expansion
 alphaSiO2 = .5e-6;     % [1/K]
    % temperature 
        To = 200;           % [oC] CVD temperature
        T1 = [-40,27,85];   % [oC] operating temperature 
    % computed parameters
         h = hSi + hSiO2;
      I_Si = w*hSi^3/12;
    I_SiO2 = w*hSiO2^3/12;
     % parametric plots
        x  = linspace(0,L,100);
             setfigure('Example 7.2');
        ls = {'--','-','-.'};
     for i = 1:length(T1)
        DT = T1(i)-To;
     kappa = 6*(alphaSi-alphaSiO2)*DT...
            /(h/2+2*(E_Si*I_Si+E_SiO2*I_SiO2)/h/w*(1/(E_Si*hSi)+1/(E_SiO2*hSiO2)));
        u  = kappa/2.*x.^2;
              plot(x*1e6,u*1e6,'k','linewidth',2.5,'linestyle',ls{i}); hold on;
     end;
        set(gca,'fontsize',16,'ylim',[-.4, .02],'color',.85*[1 1 1]);
        set(gcf,'color',[1 1 1]*.85);
        xlabel('\itx\rm [\mum]')
        ylabel('Displacement \itu_y\rm [\mum]');
        grid on
        a = legend('\itT\rm = -40 ^oC','\itT\rm = 27 ^oC', ...
                   '\itT\rm = 85 ^oC','location','best');
         

return