function energyHarvest

    wr = linspace(0,2.5,300);
    zeta = [.4, .7,  1, 1.2];
    FS = 9;
    figure(1);clf;
    ls = {'-',':','--','-.'};
    lg = cell(1,4);
    for i = 1:length(zeta)
        P = zeta(i)*wr.^2./((1-wr.^2).^2+(2*zeta(i)*wr).^2);
        
        plot(wr,P,'k','linestyle',ls{i},'linewidth',1);
        set(gca,'fontsize',FS)
        xlabel('Relative frequency \it\omega/\omega\rm_o');
        ylabel('Normalized power \itP\rm_m/(\itm\rm|\ita\rm_{in}|^2/\it\omega\rm_o)')
        hold on;
        lg{i} =['\it\zeta\rm_t = ' num2str(zeta(i))];
    end;
    legend(lg, 'location','northeast');
    colormap('gray')
    set(gcf,'paperposition',[1 1 4 3])
    print -deps Fig_7p40
    print -dtiff -r1200 Fig_7p40

end