function nResHarv_CUP()
    n = 6;
    p = .15;
    zeta = [.1,.2,.5,1];
    m = ones(n,1); k = ones(n,1); f = ones(n,1);
    w = ones(n,1);   
    for i = 2:n
        m(i) = 1+p*(i-1);
        k(i) = (1+p*(i-1))^3;
        w(i) = sqrt(k(i)/m(i));   
        f(i) = m(i);  % normalized with respect to accel.
    end
    b = repmat(2*zeta,n,1);
%     b = 2*(w.*f)*zeta;
    Np2_GL = b/n;
    wr  = linspace(.01,2*w(end),200);
    ls = {'-',':','--','-.'};
    FS = 9;
    leg = cell(length(zeta),1);
    setFigure('n-harv')
    for i = 1:length(zeta)
        P = zeros(1,length(wr));
        for j = 1:length(wr)
            Zmat = Np2_GL(i)*ones(n,n);
            for ifor = 1:n
                Zmat(ifor,ifor) = Zmat(ifor,ifor)+...
                    1i*wr(j)*m(ifor)+b(ifor,i)+k(ifor)./(1i*wr(j));
            end;
            jwx  = sum(Zmat\f);
            P(j) = .5*abs(jwx)^2*Np2_GL(i);
        end;
        plot(wr,P,'k','linestyle',ls{i});
        hold on;
        leg{i} = ['\it\zeta\rm_1 = ' num2str(zeta(i),'%.1f') ,...
                  ', \it\zeta\rm_2 = ' num2str(b(2,i)/m(2)/w(2)/2,'%.2f'),...
                  ',...'];
    end
    set(gca,'fontsize',FS)
    legend(leg,'location','northeast')
    hold off
    xlabel('Normalized frequency \it\omega/\omega\rm_1');
    ylabel('Normalized power  \itP\rm_e/(\itm\rm_1|\ita\rm|^2/\it\omega\rm_1)')
    axis('tight')
    ax = findobj('parent',gcf,'type','axes');
    set(ax,'color',[1 1 1]*.85);
    set(gcf,'color',[1 1 1]*.85,'paperposition',[1 1 5.2 3]);
    colormap('gray')
    print -deps Fig_7p45
    
end