function nonlinearitySketch
    setFigure('Nonlinear sketch');
    a = linspace(-1,1,100);
    Vmax = 3;
    vi = linspace(0,Vmax,100);
    v = Vmax./(1+exp(-2*a));
    FS = 9;
    plot(a,v,'color','k','linewidth',2)
    hold on;
    plot(a,vi,'k--')
    xl = [-1.05,1.25];
    yl = [-.15, 3.15];
    set(gca,'fontsize',FS,'xlim',xl,'ylim',yl,'ytick',[0, .5,1]*Vmax,...
            'yticklabel','','xtick',[-1:1],'xticklabel','',...
            'position',[.2, .15,.7,.7]);
    ytxt = {'0   ','\itV_{sup}\rm/2   ','\itV_{sup}   '};
    xtxt = {'-\ita_{max}','0','\ita_{max}'};
    for i = 1:3
        text(-1,Vmax*(i-1)/2,ytxt{i},'horizontalalignment','right','fontsize',FS)
        text(-1+(i-1),yl(1),xtxt{i},'verticalalignment','top',...
                                'horizontalalignment','center',...
                                'fontsize',FS)
    end;
    xlabel({'';'Acceleration \ita\rm [g]'})
    ylabel({'Offset [V]';'';'';''});
    legend('actual mapping','ideal mapping','location','northwest')
%     plot(xl,[3,3],':k')
%     plot(xl,[0,0],':k');
%     plot([-1 -1],yl,':k');
%     plot([1 1],yl,':k');
    plot([.5,1],v(end)*[1 1],'k:');
%     plot([0,0],[yl(1),Vmax/2],':k');
    arrow([1.1,0],[1.1,Vmax],8)
    arrow([1.1,Vmax],[1.1,0],8)
    arrow([.65,v(end)],[.65,Vmax],8)
    arrow([.65,Vmax],[.65,v(end)],8)
    text(.5,1/2*(Vmax+v(end)),'\Delta','fontsize',FS);
    text(1.05,Vmax/2,'\itFS','fontsize',FS,'backgroundcolor','w')
%     text(-.5,Vmax/2,'\itoffset','fontsize',FS)
    grid on
    
    set(gcf,'paperposition',[1 1 5 4],'rendere','painters')
    colormap('gray')
    set(gca,'position',[.15 .15 .8 .8])
    print -depsc Fig_7p19
    print -dtiff -r1200 Fig_7p19
    

return