function plotPressureDisplacements
    d = 1;
    N = 200;
    uo = linspace(-.1,.1,N);
    a = .8;

    C = 1/2/a^2./sqrt(uo/d).*log((1+a^2*sqrt(uo/d)+a^2*uo/d-uo/d)./...
        (1-a^2*sqrt(uo/d)+a^2*uo/d-uo/d));
    figure('units','normalized','position',[.2 .1 .6 .7])
    
%     hold on;
%     dCdx = (C(N/2+1)-C(N/2-1))/(uo(N/2+1)-uo(N/2-1))
%     plot([-1 1]*.1,C(N/2)+dCdx*[-.1,.1],'--k','linewidth',1)
    Capp = 1 + (1-a^2+a^4/3)*uo/d + (1-2*a^2+2*a^4-a^6+a^8/5)*(uo/d).^2;
    %    - (a^6*uo^2)/d^2 +
    % (a^8*uo^2)/(5*d^2) 
    err = (C-Capp)./C*100;
    [ax,h1,h2] = plotyy(uo,C,uo,err);
    FS = 9;
    set(ax,'fontsize',FS,'position',[.15 .15 .69 .7])
    set(ax(1),'ycolor','k');
    axes(ax(1)); hold on;
    plot(uo, 1 + (1-a^2+a^4/3)*uo,'--k','linewidth',1);
    plot(uo,Capp,'color',[1 1 1]*0,'linewidth',1);
    legend('Nonlinear \itC\rm(\ituo\rm)',...
           '\itC_{app\rm1}=\itC_o\rm(1+(\partial\itC\rm/\partial\itu_o\rm)\itu_o\rm)',...
           '\itC_{app\rm2}=\itC_o\rm(1+(\partial\itC\rm/\partial\itu_o\rm)\itu_o\rm+(\partial^2\itC\rm/\partial\itu_o\rm^2)\itu_o\rm^2)',...
           'location','northwest')
    addSymbolArrow(uo, C,.1, .015, -1, '-', [1 1 1]*0, 1)
    addSymbolArrow(uo,1 + (1-a^2+a^4/3)*uo,.085, .015, -1, '-', [1 1 1]*0, 1)
    addSymbolArrow(uo,Capp,.06, .015, -1, '-', [1 1 1]*.4, 1)
    ylabel('\itC\rm(\itu_o\rm)/\itC_o')
    axes(ax(2))
    set(h1,'color',[1 1 1]*.7,'linewidth',4)
    set(ax(2),'ycolor',[1 1 1]*.4);
    set(get(ax(2),'ylabel'),'string',...
       'Relative error (\itC - C_{app\rm2})/\itC\rm [%]','fontsize',FS);
    set(h2,'color',[1 1 1]*.4,'linewidth',1,'linestyle',':')
    addSymbolArrow(uo, err,.06, .015, 1, '-', [1 1 1]*.4, 1)
%     grid on
    xlabel('Normalized displacement \itu_o/d');
    title(['\it\alpha\rm = ' num2str(a)])
    colormap('gray')
    set(gcf,'paperposition',[1 1 6 4])
    print -depsc Fig_7p2
    print -dtiff -r1200 Fig_7p2
    

return

function addSymbolArrow(uo, y, th, width, signA, lineStyle, colr, lineWidth)

    ind = find(uo>=th,1);
    h=arrow([th,y(ind)],[th+signA*width, y(ind)],...
            'facecolor',colr,...
            'edgecolor',colr,...
            'linestyle',lineStyle,...
            'linewidth',lineWidth);

return

